-- Generated by WaveFormer Lite Version 10.04a at 10:9:55 on 1/26/2006
-- Stimulator for stimulus

-- Generation Settings:
--   Export type: Stimulus only (reactive export not enabled)

-- Clock Domains:

--   Unclocked
--   ---------
--     Signals:
--       SRAM_WDATA
--       SRAM_WADDR
--       SRAM_RADDR
--       RSTn
--       WE
--       RE
--       STOP_SCRUB

library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
-- Additional libraries used by Model Under Test.
library axcelerator;
library IEEE;
use IEEE.std_logic_arith.all;
use Axcelerator.all;
-- End Additional libraries used by Model Under Test.

entity stimulus is
  port (
    SRAM_WDATA : inout std_logic_vector(7 downto 0) := x"00";
    SRAM_WADDR : inout std_logic_vector(7 downto 0) := x"00";
    SRAM_RDATA : in std_logic_vector(7 downto 0) := "ZZZZZZZZ";
    SRAM_RADDR : inout std_logic_vector(7 downto 0) := x"00";
    RSTn : inout std_logic := '1';
    CLK : inout std_logic := '1';
    WE : inout std_logic := '0';
    RE : inout std_logic := '0';
    STOP_SCRUB : inout std_logic := '0';
    SLOWDOWN : in std_logic := 'Z';
    ERROR : in std_logic := 'Z';
    CORRECTABLE : in std_logic := 'Z';
    SCRUB_CORRECTED : in std_logic := 'Z';
    CADDR : in std_logic_vector(7 downto 0) := "ZZZZZZZZ";
    SCRUB_DONE : in std_logic := 'Z';
    TMOUTFLG : in std_logic := 'Z');

end stimulus;

architecture STIMULATOR of stimulus is

  -- Control Signal Declarations
  signal tb_status : TStatus;
  signal tb_ParameterInitFlag : boolean := false;

  -- Parm Declarations
  signal CLK_MinHL : time := 0 ns;
  signal CLK_MaxHL : time := 0 ns;
  signal CLK_MinLH : time := 0 ns;
  signal CLK_MaxLH : time := 0 ns;
  signal CLK_JFall : time := 0 ns;
  signal CLK_JRise : time := 0 ns;
  signal CLK_Duty : real := 0.0;
  signal CLK_Period : time := 0 ns;
  signal CLK_Offset : time := 0 ns;

  -- Status Control block.

begin

  process
    variable good : boolean;
  begin
    wait until tb_ParameterInitFlag;
    tb_status <= TB_ONCE;
    wait for 39982 ns;
    tb_status <= TB_DONE;
    wait;
  end process;

  -- Parm Assignment Block
  AssignParms : process
    variable CLK_MinHL_real : real;
    variable CLK_MaxHL_real : real;
    variable CLK_MinLH_real : real;
    variable CLK_MaxLH_real : real;
    variable CLK_JFall_real : real;
    variable CLK_JRise_real : real;
    variable CLK_Duty_real : real;
    variable CLK_Period_real : real;
    variable CLK_Offset_real : real;
  begin
    CLK_MinHL_real := 0.0;
    CLK_MinHL <= CLK_MinHL_real * 1 ns;
    CLK_MaxHL_real := 0.0;
    CLK_MaxHL <= CLK_MaxHL_real * 1 ns;
    CLK_MinLH_real := 0.0;
    CLK_MinLH <= CLK_MinLH_real * 1 ns;
    CLK_MaxLH_real := 0.0;
    CLK_MaxLH <= CLK_MaxLH_real * 1 ns;
    CLK_JFall_real := 0.0;
    CLK_JFall <= CLK_JFall_real * 1 ns;
    CLK_JRise_real := 0.0;
    CLK_JRise <= CLK_JRise_real * 1 ns;
    CLK_Duty_real := 50.0;
    CLK_Duty <= CLK_Duty_real;
    CLK_Period_real := 40.0;
    CLK_Period <= CLK_Period_real * 1 ns;
    CLK_Offset_real := 0.0;
    CLK_Offset <= CLK_Offset_real * 1 ns;
    tb_ParameterInitFlag <= true;
    wait;
  end process;

  -- Clocks

  -- Clock Instantiation
  tb_CLK : entity syncad_vhdl_lib.tb_clock_minmax
    generic map (name => "tb_CLK",
                initialize => true,
                state1 => '0',
                state2 => '1')
    port map (tb_status,
              CLK,
              CLK_MinHL,
              CLK_MaxHL,
              CLK_MinLH,
              CLK_MaxLH,
              CLK_Offset,
              CLK_Period,
              CLK_Duty,
              CLK_JRise,
              CLK_JFall);

  -- Clocked Sequences

  -- Sequence: Unclocked
  Unclocked : process
  begin
    wait for 60 ns;
    RSTn <= '0';
    wait for 140 ns;
    RSTn <= '1';
    wait for 160 ns;
    SRAM_WDATA <= x"01";
    SRAM_WADDR <= x"00";
    wait for 2 ns;
    WE <= '1';
    wait for 38 ns;
    SRAM_WDATA <= x"00";
    SRAM_WADDR <= x"01";
    wait for 40 ns;
    SRAM_WDATA <= x"80";
    SRAM_WADDR <= x"02";
    wait for 40 ns;
    SRAM_WDATA <= x"00";
    SRAM_WADDR <= x"03";
    wait for 40 ns;
    SRAM_WDATA <= x"10";
    SRAM_WADDR <= x"04";
    wait for 40 ns;
    SRAM_WDATA <= x"00";
    SRAM_WADDR <= x"05";
    wait for 40 ns;
    SRAM_WDATA <= x"AA";
    SRAM_WADDR <= x"06";
    wait for 40 ns;
    SRAM_WDATA <= x"02";
    SRAM_WADDR <= x"07";
    wait for 80 ns;
    WE <= '0';
    wait for 39262 ns;
    wait;
  end process;
end STIMULATOR;

-- Test Bench wrapper for stimulus and Model Under Test
library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
-- Additional libraries used by Model Under Test.
library axcelerator;
library IEEE;
use IEEE.std_logic_arith.all;
use Axcelerator.all;
-- End Additional libraries used by Model Under Test.

entity testbench is
end testbench;
architecture tbGeneratedCode of testbench is
  signal SRAM_WDATA : std_logic_vector(7 downto 0);
  signal SRAM_WADDR : std_logic_vector(7 downto 0);
  signal SRAM_RDATA : std_logic_vector(7 downto 0);
  signal SRAM_RADDR : std_logic_vector(7 downto 0);
  signal RSTn : std_logic;
  signal CLK : std_logic;
  signal WE : std_logic;
  signal RE : std_logic;
  signal STOP_SCRUB : std_logic;
  signal SLOWDOWN : std_logic;
  signal ERROR : std_logic;
  signal CORRECTABLE : std_logic;
  signal SCRUB_CORRECTED : std_logic;
  signal CADDR : std_logic_vector(7 downto 0);
  signal SCRUB_DONE : std_logic;
  signal TMOUTFLG : std_logic;

  -- Stimulator instance

begin

  stimulus_0 : entity work.stimulus
    port map (SRAM_WDATA => SRAM_WDATA,
              SRAM_WADDR => SRAM_WADDR,
              SRAM_RDATA => SRAM_RDATA,
              SRAM_RADDR => SRAM_RADDR,
              RSTn => RSTn,
              CLK => CLK,
              WE => WE,
              RE => RE,
              STOP_SCRUB => STOP_SCRUB,
              SLOWDOWN => SLOWDOWN,
              ERROR => ERROR,
              CORRECTABLE => CORRECTABLE,
              SCRUB_CORRECTED => SCRUB_CORRECTED,
              CADDR => CADDR,
              SCRUB_DONE => SCRUB_DONE,
              TMOUTFLG => TMOUTFLG);

  -- Instantiation of Model Under Test.
  Top_Level_0 : entity work.Top_Level
    port map (SRAM_WDATA => SRAM_WDATA,
              SRAM_WADDR => SRAM_WADDR,
              SRAM_RDATA => SRAM_RDATA,
              SRAM_RADDR => SRAM_RADDR,
              RSTn => RSTn,
              CLK => CLK,
              WE => WE,
              RE => RE,
              STOP_SCRUB => STOP_SCRUB,
              SLOWDOWN => SLOWDOWN,
              ERROR => ERROR,
              CORRECTABLE => CORRECTABLE,
              SCRUB_CORRECTED => SCRUB_CORRECTED,
              CADDR => CADDR,
              SCRUB_DONE => SCRUB_DONE,
              TMOUTFLG => TMOUTFLG);
end tbGeneratedCode;
