-- Version: 8.0 SP1 8.0.1.13

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;
use Axcelerator.all;

entity edaci is

    port( Reg_sram_rdata    : out   std_logic_vector(7 downto 0);
          axrdata           : in    std_logic_vector(17 downto 0);
          axwaddr           : out   std_logic_vector(7 downto 0);
          Reg_sram_waddr    : in    std_logic_vector(7 downto 0);
          axraddr           : out   std_logic_vector(7 downto 0);
          Reg_sram_raddr    : in    std_logic_vector(7 downto 0);
          axwdata           : out   std_logic_vector(17 downto 0);
          CADDR_c           : out   std_logic_vector(7 downto 0);
          Reg_sram_wdata    : in    std_logic_vector(7 downto 0);
          ERROR_c           : out   std_logic;
          SLOWDOWN_c        : out   std_logic;
          SCRUB_CORRECTED_c : out   std_logic;
          axwe              : out   std_logic;
          WE_c              : in    std_logic;
          TMOUTFLG_c        : out   std_logic;
          axre              : out   std_logic;
          RE_c              : in    std_logic;
          STOP_SCRUB_c      : in    std_logic;
          edaci_GND         : in    std_logic;
          edaci_VCC         : in    std_logic;
          RSTn_c            : in    std_logic;
          CLK_c             : in    std_logic;
          SCRUB_DONE_c      : out   std_logic;
          CORRECTABLE_c     : out   std_logic
        );

end edaci;

architecture DEF_ARCH of edaci is 

  component OR4
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFE3C
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          E   : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component CM8
    port( D0  : in    std_logic := 'U';
          D1  : in    std_logic := 'U';
          D2  : in    std_logic := 'U';
          D3  : in    std_logic := 'U';
          S00 : in    std_logic := 'U';
          S01 : in    std_logic := 'U';
          S10 : in    std_logic := 'U';
          S11 : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component CM8INV
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component BUFF
    port( A : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XOR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XA1
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND3B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND4
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND4C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component XOR4
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFC1B
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component OR2A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND4A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFP1B
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component NAND4
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR3A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR2B
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR4D
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component OR4A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          D : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND3C
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component AND3A
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          C : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

    signal XXXDXXXXDXXXXXXXXXXXXLXXXXXXXXXXX, 
        XXXDXXXXDXXXXYXXXXX, XXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXXXX, XXDXXXXXXXXXXXXXXXDXD, 
        XXDXXXXXXXXXXXXXXFD, XXDXXXXXXXXXXXXXXDDXXLXXXXXXXJ, 
        XXDXXXXXXXXXXXXXXDDXXLXXP, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXJ, 
        XXDXXXXXXXXXXXXXXDDXXXXXFF_0, XXDXXXXXXXXXXXXXXDDXXXXXFH, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXX, XXDXXXXXXXXXXXXXXDDXXLXXF, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJJ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHD, XXDXXXXXXXXXXXXXXXJP, 
        \XXDXXXXXXXXXXXXXXDDXXXXXX\, XXDXXXXXXXXXXXXXXXWXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXV, 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXF, XXDXXXXXXXXXXXXXXXXXV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFP, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJF, 
        XXDXXXXXXXXXXXXXXXXXXXXW, XXDXXXXXXXXXXXXXXFL, 
        XXDXXXXXXXXXXXXXXXJK, XXDXXXXXXXXXXXXXXXXXXXXXXXXJK, 
        XXDXXXXXXXXXXXXXXXXK, XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFL, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHW, 
        XXDXXXXXXXXXXXXXXXXXXXXQ, XXDXXXXXXXXXXXXXXFH, 
        XXDXXXXXXXXXXXXXXXXH, XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, 
        XXDXXXXXXXXXXXXXXXXFLXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXFLXX, XXDXXXXXXXXXXXXXXDDXXXXXFK, 
        \XXDXXXXXXXXXXXXXXDDXXXXXXF\, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXDDXXLXXX, XXDXXXXXXXXXXXXXXXXXL, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXQ, XXDXXXXXXXXXXXXXXDDXXLXX, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXDDXXXXXFF, XXDXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHH, 
        XXDXXXXXXXXXXXXXXXXXXXXV, XXDXXXXXXXXXXXXXXFQ, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXK, XXDXXXXXXXXXXK, 
        XXDXXXXXXXXXXK_0, XXDXXXXDXXXXXYXXXXXJ, 
        XXDXXXXDXXXXXYXXXXXJ_0, XXDXXXXXXXXXXFL, 
        XXDXXXXXXXXXXFL_0, XXDXXXXDXXXXXYXXXXXH, 
        XXDXXXXDXXXXXYXXXXXH_0, XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, XXDXXXXXXXXXXYXXW, 
        XXDXXXXXXXXXXYXXW_0, XXDXXXXXXXXXXXXXDDXXF, 
        XXDXXXXXXXXXXXXXDDXXF_0, XXDXXXXXXXXXXXXXXDDXXX, 
        XXDXXXXXXXXXXXXXXDDXXX_0, XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, XXDXXXXXXXXXXXXXXXHF, 
        XXDXXXXXXXXXXXXXXXHF_0, XXDXXXXXXXXXXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXXXXP_0, XXDXXXXXXXXXXXXXXXXXFF, 
        XXDXXXXXXXXXXXXXXXXXFF_0, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, XXDXXXXXXXXXXYXXXJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXFF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJP, XXXDXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFV, 
        XXDXXXXXXXXXXXXXXXDDXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHQ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXW, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHV, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFJ, XXDXXXXXXXXXXXXXXFK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXJ, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXL, XXDXXXXXXXXXXYXXXH, 
        XXDXXXXXXXXXXXXXXDDXXLXXH, XXDXXXXXXXXXXXXXXXHD, 
        XXDXXXXXXXXXXXXXXFV, XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHD, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHP, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJK, XXDXXXXXXXXXXXXXXXFP, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXF, XXDXXXXXXXXXXYXXQ, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXX, \SCRUB_DONE_c\, 
        XXDXXXXXXXXXXYXXV, XXDXXXXXXXXXXXXXXDDXXLXXXXXXXP, 
        XXDXXXXXXXXXXXXWXX, XXDXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXFD, XXDXXXXXXXXXXXXXXXHV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXX, 
        XXDXXXXXXXXXXXXXXDDXXLXXXF, XXDXXXXXXXXXXXXXXXXXXXXLXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, XXDXXXXXXXXXXXXXXXJQ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXH, \CADDR_c[1]\, 
        XXDXXXXXXXXXXXXXXDDXXLXXL, \XXDXXXXXXXXXXXXXXDDXXXXXW\, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, XXDXXXXXXXXXXXXXXFJ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFK, XXDXXXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXX, XXDXXXXXXXXXXYXXX, 
        XXDXXXXXXXXXXXXXXDDXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, XXDXXXXXXXXXXYXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXFH, XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXQ, 
        \CADDR_c[0]\, XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXL, 
        XXDXXXXXXXXXXXXXXDDXXXXXFL, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFQ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXL, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFQ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXK, 
        XXDXXXXXXXXXXXXXXDDXLDXXXXXXXXXXX, XXDXXXXXXXXXXXXXXXHQ, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXXXQXXXX, \CADDR_c[4]\, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHP, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHK, XXDXXXXXXXXXXXXXXQ, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXJF, 
        XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXJJ, XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFL, 
        XXDXXXXXXXXXXXXXXFF, XXDXXXXXXXXXXXXXXXXXXXXLXXXHL, 
        XXDXXXXXXXXXXW, XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFH, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFF, XXDXXXXXXXXXXFF, 
        XXDXXXXXXXXXXXXXXDDXXLXXJ, \XXDXXXXXXXXXXXXXXDDXXXXXQ\, 
        XXDXXXXXXXXXXXXXXXFQ, XXDXXXXXXXXXXXXXXDDXXLXXQ, 
        XXDXXXXXXXX, XXDXXXXXXXXXXXXXXV, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXF, XXDXXXXXXXXXXXXXXXXXW, 
        XXDXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHF, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXW, \CADDR_c[6]\, 
        XXDXXXXXXXXXXY, XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXJ, 
        XXDXXXXXXXXXXYXXL, XXDXXXXXXXXXXXXXXXX, XXDXXXXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXL, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFW, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, XXDXXXXXXXXXXXXXXXXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, XXDXXXXXXXXXXXXXXXJD, 
        XXDXXXXXXXXXXXXXXXFV, XXDXXXXXXXXXXXFXXXXLXXDX, 
        XXDXXXXXXXXXXFV, \CADDR_c[5]\, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXJ, XXDXXXXXXXXXXXXXXXHH, 
        XXDXXXXXXXXXXXXXXXHW, XXDXXXXXXXXXXXXXXXXXJ, \CADDR_c[2]\, 
        \CADDR_c[3]\, XXDXXXXXXXXXXXXXXDDXXLXXW, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFK, XXDXXXXXXXXXXHD, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXX, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXHP, XXDXXXXXXXXXXXXXXXXXXXXLXXXP, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHQ, XXYPXXXXXX, 
        XXDXXXXXXXXXXXXXXXHJ, 
        XXDXXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXQ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJD, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHD, XXDXXXXXXXXXXXXXXXFW, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXL, XXDXXXXXXXXXXXXXXFP, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFV, XXDXXXXXXXXXXXXXXXXXQ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFF, 
        XXDXXXXXXXXXXXXXDDXLDXXXXXXXX, 
        XXDXXXXXXXXXXXXXXDDXLDXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFW, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXX, XXDXXXXXXXXXXYXXJ, 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXHK, XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXQ, XXDXXXXXXXXXXFW, 
        XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFP, XXDXXXXXXXXXXYXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXJD, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXX, XXDXXXXXXXXXXXXXXXJV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJL, XXDXXXXXXXXXXL, 
        XXDXXXXXXXXXXXXXXXJF, XXDXXXXXXXXXXXXXXXXJ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHW, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXYXXXF, XXDXXXXXXXXXXXXXXXXXXXXLXXXK, 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXLXX, XXDXXXXXXXXXXV, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXQ, XXDXXXXXXXXXXXXXXXHL, 
        XXDXXXXXXXXXXXXXXW, 
        XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXXXXXXXXH, XXDXXXXXXXXXXJ, 
        XXDXXXXXXXXF, XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFQ, XXDXXXXXXXXXXFP, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHF, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXL, 
        XXDXXXXXXXXXXXXXXDDXXLXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXWXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, XXDXXXXXXXXXXXXXXXJH, 
        XXDXXXXXXXXXXFJ, XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXV, 
        XXDXXXXXXXXXX, XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXK, 
        \CADDR_c[7]\, XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFW, XXDXXXXXXXXXXXXXXXJL, 
        XXDXXXXXXXXXXYXXP, XXDXXXXXXXXXXXXXXDDXXXXXFD, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXF, 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXH, XXDXXXXXXXXXXXXXXDDXXLXXV, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXP, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXP, XXDXXXXXXXXXXYXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXXXXXXXYXXF, XXDXXXXXXXXXXXXXXXXXH, 
        XXDXXXXXXXXXXXXXXXXXXXXXXL, XXDXXXXXXXXXXXXXXXXXXXXLXXJ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXQ, 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFH, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFD, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFJ, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHL, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFL, XXDXXXXXXXXXXXXXXL, 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXJ, XXDXXXXXXXXXXFK, 
        XXDXXXXXXXXXXF, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXP, XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXW, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXQ, XXDXXXXXXXXXXXXXXFW, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXXXXXXXXXXXXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXK, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXQ, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFP, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXL, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXV, 
        XXDXXXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXX, XXDXXXXXXXXXXHF, 
        XXDXXXXXXXXXXFQ, XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFD, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXW, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXP, 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXW, XXDXXXXXXXXXXFD, 
        XXDXXXXXXXXXXQ, XXDXXXXDXXXXXYXXXXXXXXXXX, 
        XXDXXXXDXXXXXXXXF, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, 
        XXDXXXXDXXXXXXXX, XXDXXXXDXXXXXXXXXX, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXK, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXX, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, 
        XXDXXXXDXXXXXXXXH, XXDXXXXDXXXXXYXXXXXXXXXXXXXL, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXF, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXP, XXDXXXXDXXXXXYXXXXXK, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXH, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXDXXXXXXXXXXXXLXXXXXX, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXX, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, 
        XXDXXXXDXXXXXYXXXXXXXFD, XXDXXXXDXXXXXYXXXXXL, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXJ, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXX, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXF, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, 
        XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXX, XXDXXXXXXXXXXXDXDXXXXXXH, 
        XXDXXXXXXXXXXXDXDXXXXXXXXV, XXXXXXXXXXXXXXXXX, \GND\, 
        \VCC\ : std_logic;

begin 

    CADDR_c(7) <= \CADDR_c[7]\;
    CADDR_c(6) <= \CADDR_c[6]\;
    CADDR_c(5) <= \CADDR_c[5]\;
    CADDR_c(4) <= \CADDR_c[4]\;
    CADDR_c(3) <= \CADDR_c[3]\;
    CADDR_c(2) <= \CADDR_c[2]\;
    CADDR_c(1) <= \CADDR_c[1]\;
    CADDR_c(0) <= \CADDR_c[0]\;
    SCRUB_DONE_c <= \SCRUB_DONE_c\;

    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF : OR4
      port map(A => XXDXXXXXXXXXXXXXXDDXLDXXXXXX, B => 
        XXDXXXXXXXXXXXXXXXFP, C => XXDXXXXXXXXXXYXX, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXJD : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHP, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJK);
    
    XXDXXXXXXXXXXXXXXXXXXXXQXXXXXXXXF : CM8
      port map(D0 => edaci_VCC, D1 => edaci_GND, D2 => edaci_VCC, 
        D3 => XXDXXXXXXXXXXXXWXX, S00 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, S01 => edaci_VCC, S10
         => XXDXXXXXXXXXXXXXXDDXXX, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFD : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHL, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHJ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXQ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJD);
    
    XXDXXXXXXXXXXXXXXXXXXXLXH : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXQ, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, D3 => 
        edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXHV, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXV);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFV : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXK, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFP);
    
    XXDXXXXXXXXXXXXXDDXXLXP : CM8
      port map(D0 => \CADDR_c[5]\, D1 => edaci_VCC, D2 => 
        edaci_GND, D3 => edaci_GND, S00 => \CADDR_c[4]\, S01 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXK, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFH, S11 => XXDXXXXXXXXXXXXXXXHF_0, 
        Y => XXDXXXXXXXXXXXXXXDDXXLXXQ);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXQ : CM8INV
      port map(A => axrdata(9), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXX, D1
         => edaci_VCC, D2 => edaci_GND, D3 => edaci_VCC, S00 => 
        XXDXXXXXXXXXXYXXQ, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, S11 => 
        XXDXXXXXXXXXXXXXXXXH, Y => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX);
    
    XXDXXXXXXXXXXXXXDDXXLXH : AND2A
      port map(A => XXDXXXXXXXXXXXXXXXHF_0, B => 
        XXDXXXXXXXXXXXXXXDDXXXXXFD, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXL);
    
    XXDXXXXXXXXXXXXXXXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXXHF_0);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXX : AND2A
      port map(A => XXDXXXXXXXXXXYXXQ, B => \SCRUB_DONE_c\, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXH : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXF : CM8
      port map(D0 => XXDXXXXXXXXXX, D1 => axrdata(6), D2 => 
        edaci_GND, D3 => edaci_GND, S00 => edaci_GND, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        Reg_sram_rdata(0));
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXK : CM8INV
      port map(A => XXDXXXXXXXXXXK, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXFF : XOR2
      port map(A => \CADDR_c[0]\, B => Reg_sram_waddr(0), Y => 
        XXDXXXXXXXXXXXXXXXHH);
    
    XXDXXXXXXXXXXXXXDDXXLX : XA1
      port map(A => \CADDR_c[0]\, B => \CADDR_c[1]\, C => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXJ, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXP);
    
    XXDXXXXDXXXXXXFLXXXXXXXXXX : AND2B
      port map(A => XXDXXXXDXXXXXYXXXXXH_0, B => 
        XXDXXXXDXXXXXYXXXXXJ_0, Y => XXDXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXDDXXXXXX : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXXF, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF, Q => 
        \XXDXXXXXXXXXXXXXXDDXXXXXX\);
    
    XXDXXXXDXXXXXYXXXXXXXXXXXX : CM8INV
      port map(A => axrdata(11), Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFL : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXX, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJK, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXX, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXHP);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXXX, 
        D1 => XXDXXXXXXXXXXXXXXXHQ, D2 => XXDXXXXXXXXXXXXXXXXXW, 
        D3 => XXDXXXXXXXXXXXXXXXXXW, S00 => 
        XXDXXXXXXXXXXXXXXXDDXX, S01 => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXXX, S10 => 
        XXDXXXXXXXXXXXXXXXXXFD, S11 => XXDXXXXXXXXXXXXXXXXXW, Y
         => XXDXXXXXXXXXXYXXP);
    
    XXDXXXXXXXXXXXXXXXDDXXXXXP : CM8
      port map(D0 => Reg_sram_raddr(5), D1 => \CADDR_c[5]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX_0, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(5));
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXFJ, D1 => axrdata(7), D2 => 
        edaci_GND, D3 => edaci_GND, S00 => edaci_GND, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        Reg_sram_rdata(1));
    
    XXDXXXXXXXXXXXXXWDXXXXXXXP : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXV, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXF, D3 => edaci_GND, S00 => 
        edaci_GND, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFL, S11 => edaci_GND, Y => 
        axwdata(4));
    
    XXDXXXXXXXXXXXXXFD : AND3B
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJF, C => 
        XXDXXXXXXXXXXXXXXXJJ, Y => XXDXXXXXXXXXXXXXXFJ);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXF : OR2
      port map(A => XXDXXXXXXXXXXXXXXXJK, B => 
        \XXDXXXXXXXXXXXXXXDDXXXXXX\, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJK);
    
    XXDXXXXXXXXXXXXXF : AND3B
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHQ, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFW, C => 
        XXDXXXXXXXXXXXXXXFQ, Y => XXDXXXXXXXXXXXXXXFW);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFQ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHK, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXFF, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, S01 => 
        edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFJ, S11 => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXFQ);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXK : CM8
      port map(D0 => XXDXXXXXXXXXXK_0, D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, D2 => edaci_GND, 
        D3 => edaci_VCC, S00 => axrdata(0), S01 => edaci_VCC, S10
         => XXDXXXXDXXXXXXXX, S11 => XXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXX);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXXH : CM8
      port map(D0 => Reg_sram_wdata(5), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXQ, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFF_0, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(11));
    
    XXDXXXXXXXXXXXXXJ : AND3B
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF, C => 
        XXDXXXXXXXXXXXXXXFP, Y => XXDXXXXXXXXXXXXXXXFW);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXW : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXH);
    
    XXDXXXXXXXXXXXXXDDXXLXW : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXDDXXLXXXXXXXL, D1 => 
        edaci_GND, D2 => edaci_GND, D3 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXL, S00 => XXDXXXXXXXXXXYXXXH, 
        S01 => edaci_VCC, S10 => \CADDR_c[4]\, S11 => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXDDXXLXXH);
    
    XXDXXXXXXXXXXXXWDXXXXXXXP : DFE3C
      port map(D => XXDXXXXXXXXXXL, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXDDXXXXH : AND2A
      port map(A => XXYPXXXXXX, B => XXDXXXXXXXXXXXXXXXHJ, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHF : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHJ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFW);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXF : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXL, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF_0, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXH);
    
    XXDXXXXXXXXXXXXXDDXLDXXX : CM8
      port map(D0 => edaci_VCC, D1 => edaci_GND, D2 => edaci_GND, 
        D3 => edaci_GND, S00 => XXDXXXXXXXXXXXXXDDXLDXXXXXXXX, 
        S01 => XXDXXXXXXXXXXYXXV, S10 => 
        XXDXXXXXXXXXXXXXXDDXLDXXXXXX, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXDDXXF);
    
    XXDXXXXXXXXXXXXXXXDDXXXXXQ : CM8
      port map(D0 => Reg_sram_raddr(4), D1 => \CADDR_c[4]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX_0, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(4));
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF : AND4
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, B => 
        XXDXXXXXXXXXXXXWXX, C => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, 
        D => XXDXXXXXXXXXXXXXXDDXXX, Y => XXDXXXXXXXXXXYXX);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHP, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXDDXXXXXH : CM8
      port map(D0 => Reg_sram_raddr(7), D1 => \CADDR_c[7]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(7));
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXH : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFD, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXWXDDXXXXXF : CM8
      port map(D0 => Reg_sram_waddr(5), D1 => \CADDR_c[5]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(5));
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXP : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFK, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXV);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXF : CM8
      port map(D0 => edaci_VCC, D1 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXX, D2 => 
        edaci_VCC, D3 => edaci_GND, S00 => \SCRUB_DONE_c\, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, 
        S11 => XXDXXXXXXXXXXXXXXXXH, Y => XXDXXXXXXXXXXYXXV);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXQ : CM8
      port map(D0 => axrdata(3), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, D2 => 
        axrdata(3), D3 => axrdata(3), S00 => 
        XXDXXXXDXXXXXYXXXXXH_0, S01 => XXDXXXXXXXXXXFL_0, S10 => 
        XXDXXXXDXXXXXYXXXXXJ_0, S11 => XXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXHF);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXF : OR3
      port map(A => XXDXXXXXXXXXXXXXXXFP, B => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXF, C => 
        XXDXXXXXXXXXXYXXQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXDDXXXXXW : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXL, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF, Q => 
        \XXDXXXXXXXXXXXXXXDDXXXXXW\);
    
    XXDXXXXXXXXXXXXXXXXXXXXP : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0);
    
    XXDXXXXXXXXXXXXXXDDXXXXXP : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXQ, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF, Q => \CADDR_c[5]\);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXF_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, Y => 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0);
    
    XXDXXXXXXXXXXXXXXXXXXXXXF_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXF : CM8
      port map(D0 => Reg_sram_wdata(1), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXV, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFL, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(7));
    
    XXDXXXXXXXXXXXXXXXDDXXXXX : CM8
      port map(D0 => Reg_sram_raddr(2), D1 => \CADDR_c[2]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX_0, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(2));
    
    XXDXXXXXXXXXXXXWDXXXXXXXJ : DFE3C
      port map(D => XXDXXXXXXXXXXFJ, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXV);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHD : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFV, D1 => 
        XXDXXXXXXXXXXXXXXFP, D2 => edaci_GND, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFP, S01 => 
        XXDXXXXXXXXXXXXXXFK, S10 => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXXXXXXXXXXXLXXXHV);
    
    XXDXXXXXXXXXXXXWDXXXXXXXXF : DFE3C
      port map(D => XXDXXXXXXXXXXFD, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXW : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJD, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXJH, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, S01 => 
        edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXFW, S11 => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXQ);
    
    XXDXXXXXXXXXXXXXXXW : XOR2
      port map(A => \XXDXXXXXXXXXXXXXXDDXXXXXW\, B => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXHK);
    
    XXDXXXXXXXXXXXXXDDXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXDDXXX, Y => 
        XXDXXXXXXXXXXXXXXDDXXX_0);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFF : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXF, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFF, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXK, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXFL);
    
    XXDXXXXXXXXXXXXXW : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHK, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJF, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, D => 
        XXDXXXXXXXXXXXXXXXJJ, Y => XXDXXXXXXXXXXXXXXFF);
    
    XXDXXXXXXXXXXXXXL : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJD, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, D => 
        XXDXXXXXXXXXXXXXXFP, Y => XXDXXXXXXXXXXXXXXXJH);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF : CM8
      port map(D0 => XXXDXXXXDXXXXYXXXXX, D1 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, D2 => 
        edaci_VCC, D3 => edaci_VCC, S00 => 
        XXXDXXXXDXXXXXXXXXXXXLXXXXXXXXXXX, S01 => edaci_VCC, S10
         => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, S11 => 
        XXDXXXXXXXXXXYXXK, Y => XXDXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXLXK : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXK, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, 
        S11 => XXDXXXXXXXXXXXXXXXHV, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXX);
    
    XXDXXXXXXXXXXXXXXWXXXXXXXXXX : CM8INV
      port map(A => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXWXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXDXDXXXXXX : XOR2
      port map(A => XXDXXXXXXXXXXXXXXXDXD, B => 
        XXDXXXXXXXXXXXDXDXXXXXXXXV, Y => XXDXXXXXXXXXXXXXXW);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXJ : CM8
      port map(D0 => edaci_GND, D1 => XXDXXXXXXXXXXF, D2 => 
        edaci_VCC, D3 => XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, 
        S00 => XXDXXXXXXXXXXK_0, S01 => XXDXXXXXXXXXXFL_0, S10
         => axrdata(5), S11 => edaci_GND, Y => XXDXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXP : XOR2
      port map(A => \XXDXXXXXXXXXXXXXXDDXXXXXQ\, B => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXJK);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXHJ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHK);
    
    XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXXXXXXXXX, 
        D1 => XXDXXXXXXXXXXXXXXXHQ, D2 => XXDXXXXXXXXXXXXXXXXXW, 
        D3 => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXDDXX, S01 => 
        XXDXXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXXXXXXXXX, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, S11 => 
        XXDXXXXXXXXXXXXXXXXXFD, Y => XXDXXXXXXXXXXYXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHL : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHL, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHP);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXJ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXJ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXX, D1
         => edaci_VCC, D2 => edaci_GND, D3 => edaci_VCC, S00 => 
        XXDXXXXXXXXXXXXXXXXXFD, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, S11 => 
        XXDXXXXXXXXXXXXXXXXH, Y => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXWDXXXXXXX : DFE3C
      port map(D => XXDXXXXXXXXXXFQ, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX : AND2B
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, Y => XXDXXXXXXXXXXYXXK);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXF : CM8
      port map(D0 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXXH, D1 => 
        Reg_sram_waddr(7), D2 => edaci_GND, D3 => edaci_GND, S00
         => \CADDR_c[7]\, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXFQ, S11 => XXDXXXXXXXXXXXXXXXHL, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHH, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXF : XA1
      port map(A => Reg_sram_wdata(1), B => Reg_sram_wdata(3), C
         => XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXXXXXX, Y => 
        XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXDXDXX : XOR4
      port map(A => Reg_sram_wdata(4), B => Reg_sram_wdata(6), C
         => Reg_sram_wdata(0), D => Reg_sram_wdata(2), Y => 
        XXDXXXXXXXXXXXXXXXDXD);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFK : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHH, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL);
    
    XXDXXXXDXXXXXYXXXXXXXJ : CM8
      port map(D0 => axrdata(10), D1 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXXF, D2 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXXF, D3 => axrdata(10), S00
         => XXDXXXXDXXXXXYXXXXXXXXXXXXXF, S01 => edaci_VCC, S10
         => axrdata(4), S11 => edaci_GND, Y => 
        XXDXXXXDXXXXXYXXXXXL);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXW : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXL : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXP, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0, 
        S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, S11 => 
        XXDXXXXXXXXXXXXXXXJD, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXP);
    
    XXDXXXXXXXXXXXXXXXK : CM8
      port map(D0 => edaci_VCC, D1 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFH, D2 => edaci_VCC, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXXXXXXL, S01 => 
        XXDXXXXXXXXXXXXXXXJH, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHJ, S11 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, Y => 
        XXDXXXXXXXXXXXXXXXXXV);
    
    XXDXXXXXXXXXXXXWDXXXXXXXXL : DFE3C
      port map(D => XXDXXXXXXXXXXFW, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFK : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, D1 => 
        XXDXXXXXXXXXXXXXXXFW, D2 => edaci_GND, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXH, S01 => 
        XXDXXXXXXXXXXXXXXFP, S10 => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXXXXXXXXXXXLXXXFW);
    
    XXDXXXXXXXXXXXXXXWXXXXXXX : OR2
      port map(A => XXDXXXXXXXXXXXXXXXJP, B => 
        \XXDXXXXXXXXXXXXXXDDXXXXXX\, Y => 
        XXDXXXXXXXXXXXXXXXWXXXXXXXX);
    
    XXXXXXXXXXF : CM8
      port map(D0 => XXXXXXXXXXXXXXXXX, D1 => edaci_GND, D2 => 
        edaci_GND, D3 => edaci_VCC, S00 => XXXXXXXXXXXXXXXXX, S01
         => XXXDXXXXDXXXXXXXXXXXXLXXXXXXXXXXX, S10 => 
        XXXDXXXXDXXXXYXXXXX, S11 => edaci_GND, Y => ERROR_c);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXL : CM8INV
      port map(A => XXDXXXXXXXXF, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXV : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFL);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHV : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHK, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXH, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXJF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHJ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFQ, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFK, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFF, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXV);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXH : CM8
      port map(D0 => XXDXXXXXXXXXXFW, D1 => axrdata(10), D2 => 
        edaci_GND, D3 => edaci_GND, S00 => edaci_GND, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        Reg_sram_rdata(4));
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXHK : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHJ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFW : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHV, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFJ);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXP : XOR4
      port map(A => XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXF, B => 
        Reg_sram_wdata(5), C => Reg_sram_wdata(6), D => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXJ : CM8
      port map(D0 => edaci_GND, D1 => edaci_VCC, D2 => edaci_VCC, 
        D3 => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, 
        S01 => XXDXXXXXXXXXXXXXXFV, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHD, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXXXXXXXXXXXXXXXJJ);
    
    XXDXXXXXXXXXXXXXXXXXXXXK : CM8
      port map(D0 => edaci_VCC, D1 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJK, D2 => edaci_VCC, D3 => 
        edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, S01
         => XXDXXXXXXXXXXXXXXXXXXXXXXXXXX, S10 => 
        XXDXXXXXXXXXXXXXXXJV, S11 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJL, Y => XXDXXXXXXXXXXXXXXXHQ);
    
    XXDXXXXXXXXXXXXXDDXXLXF : XA1
      port map(A => XXDXXXXXXXXXXXXXXDDXXXXXFH, B => \CADDR_c[6]\, 
        C => XXDXXXXXXXXXXXXXXDDXXLXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXF);
    
    XXDXXXXDXXXXXYXXXXXXXXXF_0 : BUFF
      port map(A => XXDXXXXDXXXXXYXXXXXH, Y => 
        XXDXXXXDXXXXXYXXXXXH_0);
    
    XXDXXXXXXXXXXXXXXXXXXXXXF : DFC1B
      port map(D => XXDXXXXXXXXXXYXXXF, CLK => CLK_c, CLR => 
        RSTn_c, Q => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXDXXXXXYXXXXXXXP : XOR4
      port map(A => axrdata(17), B => axrdata(13), C => 
        axrdata(14), D => axrdata(8), Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXJ);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXP : CM8INV
      port map(A => axrdata(8), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFQ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXL, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJH);
    
    XXDXXXXXXXXXXXXXXDDXXXXXL : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXP, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF_0, Q => 
        \CADDR_c[1]\);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXL : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFW, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFD);
    
    XXDXXXXXXXXXXXXWDXXXXXXXL : DFE3C
      port map(D => XXDXXXXXXXXXXW, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXJ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXF : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXJJ, D1 => edaci_GND, D2
         => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFP, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, S01 => 
        edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJH, 
        S11 => XXDXXXXXXXXXXXXXXXXXV, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXK);
    
    XXDXXXXXXXXXXXXWDXXXXXXXF : DFE3C
      port map(D => XXDXXXXXXXXXXHF, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXW);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXF : CM8
      port map(D0 => axrdata(9), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, D2 => 
        axrdata(9), D3 => axrdata(9), S00 => 
        XXDXXXXDXXXXXYXXXXXJ_0, S01 => XXDXXXXXXXXXXFL_0, S10 => 
        XXDXXXXDXXXXXYXXXXXH_0, S11 => XXDXXXXDXXXXXXXXH, Y => 
        XXDXXXXXXXXXXW);
    
    XXDXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXX : OR2
      port map(A => XXDXXXXXXXXXXXFXXXXLXXDX, B => STOP_SCRUB_c, 
        Y => XXDXXXXXXXXXXXXXXXXXFD);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXF : OR2A
      port map(A => XXDXXXXDXXXXXYXXXXXXXXXXX, B => 
        XXXDXXXXDXXXXYXXXXX, Y => XXDXXXXDXXXXXXXXF);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXH : AND2A
      port map(A => XXDXXXXDXXXXXYXXXXXL, B => 
        XXDXXXXDXXXXXYXXXXXK, Y => XXDXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXWDXXXXXXXXK : DFE3C
      port map(D => XXDXXXXXXXXXXV, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXQ);
    
    XXDXXXXDXXXXXYXXXXXXXXXF : XOR4
      port map(A => axrdata(3), B => axrdata(11), C => axrdata(7), 
        D => XXDXXXXDXXXXXYXXXXXXXXXXXXXJ, Y => 
        XXDXXXXDXXXXXYXXXXXH);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXK_0, D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, D2 => edaci_GND, 
        D3 => edaci_VCC, S00 => axrdata(1), S01 => edaci_VCC, S10
         => XXDXXXXDXXXXXXXXF, S11 => XXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXFH);
    
    XXDXXXXXXXXXXXXXX : OR4
      port map(A => XXDXXXXXXXXXXXXXXXXXJ, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, Y => 
        XXDXXXXXXXXXXXXXXXHV);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFJ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHV, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFP);
    
    XXDXXXXXXXXXXXXXXXFLXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, Y => 
        XXDXXXXXXXXXXXXXXXXFLXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXDDXXXXXK : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXK, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF_0, Q => 
        \CADDR_c[0]\);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXL : CM8
      port map(D0 => XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, 
        D1 => XXDXXXXXXXXF, D2 => edaci_GND, D3 => edaci_VCC, S00
         => axrdata(14), S01 => edaci_VCC, S10 => 
        XXDXXXXDXXXXXXXX, S11 => XXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXFV);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXP : CM8INV
      port map(A => XXDXXXXXXXXXXYXXXH, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXK);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXJ : CM8INV
      port map(A => XXDXXXXDXXXXXXXXXX, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHH : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHK, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFK);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXXL : CM8
      port map(D0 => Reg_sram_wdata(6), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXX, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFF, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(12));
    
    XXDXXXXXXXXXXXXWDXXXXXXXQ : DFE3C
      port map(D => XXDXXXXXXXXXXHD, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXQ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF_0, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXJ);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXXXX : CM8INV
      port map(A => edaci_GND, Y => 
        XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXXXX);
    
    XXDXXXXDXXXXXXFLXXXXXXXXF : OR2
      port map(A => XXDXXXXDXXXXXYXXXXXK, B => 
        XXDXXXXDXXXXXYXXXXXL, Y => XXDXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXK : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXX, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFJ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFH, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXXXLXF : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXW, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0, 
        S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXXXXXXXXXXXLXXW);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXP : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXK, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXJ, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXFV);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFP : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHD, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFH, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXHF);
    
    XXDXXXXDXXXXXYXXXXXF : CM8
      port map(D0 => XXDXXXXDXXXXXYXXXXXXXXXXXXXK, D1 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXX, D2 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXX, D3 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXK, S00 => 
        XXDXXXXDXXXXXYXXXXXXXFD, S01 => edaci_VCC, S10 => 
        axrdata(1), S11 => edaci_GND, Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXDDXXXXXXXXXXX : AND2
      port map(A => \CADDR_c[0]\, B => \CADDR_c[1]\, Y => 
        XXDXXXXXXXXXXXXXXXXXL);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXL : CM8INV
      port map(A => XXDXXXXXXXXXXJ, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFQ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXDDXXXXXF : CM8
      port map(D0 => Reg_sram_raddr(3), D1 => \CADDR_c[3]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX_0, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(3));
    
    XXDXXXXXXXXXXXXWDXXXXXXXH : DFE3C
      port map(D => XXDXXXXXXXXXX, CLK => CLK_c, CLR => RSTn_c, E
         => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXK);
    
    XXDXXXXDXXXXXYXXXXX : CM8
      port map(D0 => XXDXXXXDXXXXXYXXXXXXXXXXXXXL, D1 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXF, D2 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXF, D3 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXL, S00 => 
        XXDXXXXDXXXXXYXXXXXXXFD, S01 => edaci_VCC, S10 => 
        axrdata(0), S11 => edaci_GND, Y => XXXDXXXXDXXXXYXXXXX);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXK : CM8INV
      port map(A => XXDXXXXXXXXXXF, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP);
    
    XXDXXXXDXXXXXXXXXXXXLXXXXXXXX : XOR4
      port map(A => XXDXXXXDXXXXXYXXXXXH_0, B => 
        XXDXXXXDXXXXXYXXXXXXXXXXX, C => XXDXXXXDXXXXXYXXXXXJ_0, D
         => XXDXXXXDXXXXXYXXXXXK, Y => 
        XXDXXXXDXXXXXXXXXXXXLXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXH : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXF, 
        D1 => edaci_GND, D2 => edaci_GND, D3 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXF, S00 => 
        \CADDR_c[6]\, S01 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXX, S10 => 
        Reg_sram_waddr(6), S11 => XXDXXXXXXXXXXXXXXXHP, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXDXXXXXYXXXXXXXH_0 : BUFF
      port map(A => XXDXXXXDXXXXXYXXXXXJ, Y => 
        XXDXXXXDXXXXXYXXXXXJ_0);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXX : AND4A
      port map(A => XXDXXXXXXXXXXY, B => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXX, C => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXJ, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, Y => 
        XXDXXXXXXXXXXXXXXXFP);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXFV, D3 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, S00 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, S01 => 
        XXXDXXXXDXXXXXXXXXXXXLXXXXXXXXXXX, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, S11 => 
        XXXDXXXXDXXXXYXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXX : OR2A
      port map(A => XXDXXXXXXXXXXXXXXXHQ, B => XXDXXXXXXXXXXYXXQ, 
        Y => XXDXXXXXXXXXXXXXXXHF);
    
    XXDXXXXXXXXXXXXXXXXXXXXL : AND2A
      port map(A => XXDXXXXXXXXXXYXXQ, B => XXDXXXXXXXXXXYXXK, Y
         => XXDXXXXXXXXXXXXXXXHW);
    
    XXDXXXXXXXXXXXXXXXXXXXLXQ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXJ, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        S11 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXK);
    
    XXDXXXXXXXXXXXXXXXXXXLDXXXXXX : AND2A
      port map(A => XXDXXXXXXXXXXYXXQ, B => 
        XXDXXXXXXXXXXXXXXXFLXX, Y => XXDXXXXXXXXXXYXXW);
    
    XXDXXXXDXXXXXYXXXXXXXK : XOR4
      port map(A => axrdata(13), B => axrdata(6), C => axrdata(2), 
        D => XXDXXXXDXXXXXYXXXXXXXXXXXXXL, Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXX : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXK, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXQ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXJ);
    
    XXDXXXXXXXXXXFXXXXLXXD : DFP1B
      port map(D => edaci_GND, CLK => CLK_c, PRE => RSTn_c, Q => 
        XXDXXXXXXXXXXXFXXXXLXXDX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXXDXXXXDXXXXYXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXJF : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHV, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFJ, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFK, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXJ);
    
    XXDXXXXXXXXXXXXXP : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXK, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFL, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHW, D => 
        XXDXXXXXXXXXXXXXXXXXXXXQ, Y => XXDXXXXXXXXXXXXXXFH);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXQ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXP);
    
    XXDXXXXXXXXXXXXXDDXXLXQ : XA1
      port map(A => XXDXXXXXXXXXXXXXXXXXL, B => \CADDR_c[2]\, C
         => XXDXXXXXXXXXXXXXXDDXXLXXXXXXXQ, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXX);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => axrdata(11), Y => 
        XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXW : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFJ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHL);
    
    XXDXXXXXXXXXXXXXXXXXXLDXXXXXXXXF : AND2A
      port map(A => XXDXXXXXXXXXXXXXXXXXFD, B => 
        XXDXXXXXXXXXXXXXXXFLXX, Y => XXDXXXXXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXJ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXDDXXXXXFD, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXHH : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXXXXXXLDXXXXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXYXXW, Y => XXDXXXXXXXXXXYXXW_0);
    
    XXDXXXXXXXXXXXXLXWDXWXX : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXFLXX, CLK => CLK_c, CLR => 
        RSTn_c, E => XXDXXXXXXXXXXYXXQ, Q => SLOWDOWN_c);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXW : CM8
      port map(D0 => XXDXXXXXXXXXXW, D1 => axrdata(9), D2 => 
        edaci_GND, D3 => edaci_GND, S00 => edaci_GND, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        Reg_sram_rdata(3));
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXH : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXP, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXW, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXX);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXL : CM8
      port map(D0 => axrdata(8), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, D2 => 
        axrdata(8), D3 => axrdata(8), S00 => 
        XXDXXXXDXXXXXYXXXXXH_0, S01 => XXDXXXXDXXXXXXXXXX, S10
         => XXDXXXXDXXXXXYXXXXXJ_0, S11 => XXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXFF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFK : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXH : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXW);
    
    XXDXXXXXXXXXXXXXDDXXXXXF : NAND4
      port map(A => \CADDR_c[0]\, B => \CADDR_c[1]\, C => 
        \CADDR_c[2]\, D => \CADDR_c[3]\, Y => XXDXXXXXXXXXXYXXXH);
    
    XXDXXXXXXXXXXXXXXDDXXXXXQ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXJ, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF, Q => 
        \XXDXXXXXXXXXXXXXXDDXXXXXQ\);
    
    XXDXXXXXXXXXXXXXXXV : XOR2
      port map(A => \CADDR_c[2]\, B => Reg_sram_waddr(2), Y => 
        XXDXXXXXXXXXXXXXXXHL);
    
    XXDXXXXXXXXXXXDXDXXXXXXF : AND2
      port map(A => XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXXXX, B => 
        XXDXXXXXXXXXXXXXXXDXD, Y => XXDXXXXXXXXXXXXXXFD);
    
    XXDXXXXXXXXXXXXXXXXXXXLXP : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXX, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXJ, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXQ);
    
    XXDXXXXDXXXXXYXXXXXXXF : XOR4
      port map(A => axrdata(12), B => axrdata(11), C => 
        axrdata(5), D => XXDXXXXDXXXXXYXXXXXXXXXXXXXH, Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXXXL : CM8
      port map(D0 => edaci_VCC, D1 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFK, D2 => edaci_VCC, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXXXXXXQ, S01 => 
        XXDXXXXXXXXXXXXXXFP, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, S11 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJD, Y => 
        XXDXXXXXXXXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHH : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHJ, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, 
        S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, S11 => 
        XXDXXXXXXXXXXXXXXXXH, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXX);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXL : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXQ);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXJ : XOR2
      port map(A => edaci_GND, B => XXDXXXXXXXXXXXDXDXXXXXXH, Y
         => XXDXXXXXXXXXXXXXXP);
    
    XXDXXXXDXXXXXXFLXXXXXXXX : AND2B
      port map(A => XXXDXXXXDXXXXYXXXXX, B => 
        XXDXXXXDXXXXXYXXXXXXXXXXX, Y => XXDXXXXXXXXXXFL);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXQ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXH, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFW : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXFH, D1 => edaci_VCC, D2 => 
        XXDXXXXXXXXXXXXXXXXF, D3 => edaci_VCC, S00 => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, S01 => edaci_VCC, 
        S10 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHW, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXF);
    
    XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXX : OR3A
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, B => 
        XXDXXXXXXXXXXXXXXXXXFD, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXQXXXX);
    
    XXDXXXXXXXXXXXXXXXXDXXXX : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXJL, CLK => CLK_c, CLR => 
        RSTn_c, E => XXDXXXXXXXXXXYXXP, Q => \SCRUB_DONE_c\);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXQ : XOR4
      port map(A => XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXF, B => 
        Reg_sram_wdata(4), C => Reg_sram_wdata(7), D => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXV);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXDDXX, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFV : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHD);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXL : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFP, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXL : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXV, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFF : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFQ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHK);
    
    XXDXXXXXXXXXXXXXXXXXXXLXV : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXH, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXJQ, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXL);
    
    XXDXXXXXXXXXXXXXFH : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHP, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHK, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFQ, D => 
        XXDXXXXXXXXXXXXXXFJ, Y => XXDXXXXXXXXXXXXXXFV);
    
    XXDXXXXXXXXXXXXWDXXXXXXXXQ : DFE3C
      port map(D => XXDXXXXXXXXXXH, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXW : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXW, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHW : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXF, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHW);
    
    XXDXXXXXXXXXXXXWDXXXXXXXX : DFE3C
      port map(D => XXDXXXXXXXXXXQ, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXF : CM8
      port map(D0 => edaci_VCC, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXYXXV, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, S01 => edaci_VCC, 
        S10 => XXDXXXXXXXXXXYXXK, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXYXXXF);
    
    XXDXXXXDXXXXXYXXXXXXX : XOR4
      port map(A => axrdata(16), B => axrdata(13), C => 
        axrdata(15), D => XXDXXXXDXXXXXYXXXXXXXXXXXXXH, Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXF);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXV : CM8INV
      port map(A => axrdata(7), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV);
    
    XXDXXXXDXXXXXXFLXXXXXXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXFL, Y => XXDXXXXXXXXXXFL_0);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXF : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHD, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHD);
    
    XXDXXXXXXXXXXXXXXXXFLXX : DFC1B
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXXXQXXXX, CLK => CLK_c, 
        CLR => RSTn_c, Q => TMOUTFLG_c);
    
    XXDXXXXXXXXXXXXWDXXXXXXXXH : DFE3C
      port map(D => XXDXXXXXXXXXXFK, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXK : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXX : CM8
      port map(D0 => edaci_VCC, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXXXXHQ, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, S01 => edaci_VCC, S10
         => XXDXXXXXXXXXXXXXXXDDXX, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHD : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXJD, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFH);
    
    XXDXXXXXXXXXXXXXDDXXLXJ : AND2B
      port map(A => \CADDR_c[0]\, B => XXDXXXXXXXXXXXXXXXHF_0, Y
         => XXDXXXXXXXXXXXXXXDDXXLXXK);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXH : CM8
      port map(D0 => axrdata(16), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, D2 => 
        axrdata(16), D3 => axrdata(16), S00 => 
        XXDXXXXDXXXXXYXXXXXJ, S01 => XXDXXXXXXXXXXJ, S10 => 
        XXDXXXXDXXXXXYXXXXXH, S11 => XXDXXXXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXHF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJH, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFQ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXJ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXL, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, 
        S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJK, S11 => 
        XXDXXXXXXXXXXXXXXXX, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXH);
    
    XXDXXXXXXXXXXXXXK : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXXV, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFP, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJF, D => 
        XXDXXXXXXXXXXXXXXXXXXXXW, Y => XXDXXXXXXXXXXXXXXFL);
    
    XXDXXXXDXXXXXXXXXXXXXLXXXXXXXXXXX : XOR2
      port map(A => XXDXXXXDXXXXXYXXXXXL, B => 
        XXDXXXXDXXXXXXXXXXXXLXXXXXX, Y => 
        XXXDXXXXDXXXXXXXXXXXXLXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXQ : AND2A
      port map(A => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHD);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXP : CM8
      port map(D0 => XXDXXXXXXXXXXFP, D1 => axrdata(12), D2 => 
        edaci_GND, D3 => edaci_GND, S00 => edaci_GND, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        Reg_sram_rdata(6));
    
    XXDXXXXXXXXXXXXXXXXXF : CM8
      port map(D0 => edaci_VCC, D1 => edaci_VCC, D2 => edaci_GND, 
        D3 => XXDXXXXXXXXXXFL, S00 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJP, S01 => XXDXXXXXXXXXXK, S10
         => STOP_SCRUB_c, S11 => XXDXXXXXXXXXXXXXXXXXXXXXXXFF, Y
         => XXXDXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXX : CM8
      port map(D0 => edaci_GND, D1 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, D2 => edaci_VCC, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXDDXXX, S01 => 
        XXDXXXXXXXXXXXXXXXHD, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXDXXXXXYXXXXXXXL : XOR2
      port map(A => axrdata(17), B => axrdata(15), Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXK);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXH : CM8
      port map(D0 => edaci_GND, D1 => XXDXXXXXXXXXXJ, D2 => 
        edaci_VCC, D3 => XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, 
        S00 => XXDXXXXXXXXXXK_0, S01 => XXDXXXXXXXXXXFL_0, S10
         => axrdata(4), S11 => edaci_GND, Y => XXDXXXXXXXXXXHD);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFH : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJK, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXWXXXXXXXX : AND2B
      port map(A => RE_c, B => WE_c, Y => XXDXXXXXXXXXXXXXXXHJ);
    
    XXDXXXXXXXXXXXXWDXXXXXXXXP : DFE3C
      port map(D => XXDXXXXXXXXXXFV, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXJ);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXQ : CM8INV
      port map(A => XXDXXXXXXXXF, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXP : CM8INV
      port map(A => axrdata(16), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXQ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFW, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXFF : CM8INV
      port map(A => axrdata(2), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFP : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFV);
    
    XXDXXXXXXXXXXXXXDDXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXYXXX, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXFF : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXF, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHH, D => 
        XXDXXXXXXXXXXXXXXXXXXXXV, Y => XXDXXXXXXXXXXXXXXFQ);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXX : OR2B
      port map(A => XXDXXXXDXXXXXYXXXXXL, B => 
        XXDXXXXDXXXXXYXXXXXK, Y => XXDXXXXDXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFL : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFF, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHJ);
    
    XXDXXXXXXXXXXXXXDDXXLXK : CM8
      port map(D0 => \XXDXXXXXXXXXXXXXXDDXXXXXQ\, D1 => edaci_VCC, 
        D2 => edaci_GND, D3 => edaci_GND, S00 => 
        \XXDXXXXXXXXXXXXXXDDXXXXXW\, S01 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXF, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFK, S11 => XXDXXXXXXXXXXXXXXXHF_0, 
        Y => XXDXXXXXXXXXXXXXXDDXXLXXJ);
    
    XXDXXXXXXXXXXXXXXXDDXXXXXJ : CM8
      port map(D0 => Reg_sram_raddr(6), D1 => \CADDR_c[6]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX_0, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(6));
    
    XXDXXXXXXXXXXXXXWDXXXXXXXXK : CM8
      port map(D0 => Reg_sram_wdata(7), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXL, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFF_0, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(13));
    
    XXDXXXXXXXXXXXXXWDXXXXXXXV : CM8
      port map(D0 => Reg_sram_wdata(2), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXL, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFL, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(8));
    
    XXDXXXXXXXXXXXXXXXXXXXXH : AND2B
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, B => 
        XXDXXXXXXXXXXXXXXXXXFD, Y => XXDXXXXXXXXXXXXXXXJL);
    
    XXDXXXXXXXXXXXXXWDXXXXXXX : CM8
      port map(D0 => Reg_sram_wdata(0), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXK, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFL, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(6));
    
    XXXXXXXXXXXXXXXF : CM8INV
      port map(A => XXXDXXXXXXXXXXXXXXXX, Y => XXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHP : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXV, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFQ);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXJ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHL, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXW);
    
    XXDXXXXXXXXXXXXXXXFL : OR4
      port map(A => XXDXXXXXXXXXXXXXXXHV, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, Y => 
        XXDXXXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXDXXXXX : AND2
      port map(A => XXDXXXXXXXXXXXXWXX, B => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF, Y => SCRUB_CORRECTED_c);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => axrdata(13), Y => 
        XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXDXXXXXYXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXDXXXXXYXXXXXXXXXXXXXL, Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, D1 => 
        edaci_VCC, D2 => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX, S01 => XXDXXXXXXXXXXXXXXXHD, S10
         => XXDXXXXXXXXXXYXXK, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXDXXXXXYXXXXXXXV : XOR2
      port map(A => axrdata(9), B => axrdata(7), Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXV : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXX);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXXJ : CM8
      port map(D0 => Reg_sram_wdata(4), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXH, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFF_0, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(10));
    
    XXDXXXXXXXXXXXXXWDXXXXXXXL : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXW, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXX, D3 => edaci_GND, S00 => 
        edaci_GND, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFL, S11 => edaci_GND, Y => 
        axwdata(0));
    
    XXDXXXXXXXXXXXXXDDXXXXX : AND4
      port map(A => \CADDR_c[4]\, B => \CADDR_c[5]\, C => 
        \CADDR_c[6]\, D => \CADDR_c[7]\, Y => XXDXXXXXXXXXXYXXX);
    
    XXDXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXQ);
    
    XXXXXXXXXXXXXXX : CM8INV
      port map(A => XXXDXXXXXXXXXXXXXXXX, Y => XXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXDDXLDXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXDDXXF, Y => 
        XXDXXXXXXXXXXXXXDDXXF_0);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXK, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXV : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFV, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH : AND4A
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, B => 
        XXDXXXXXXXXXXXXXXXHD, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF, D => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF, Y => XXDXXXXXXXXXXXXXXXFV);
    
    XXDXXXXXXXXXXXXXXXXXXXXXX : OR4D
      port map(A => \CADDR_c[1]\, B => \CADDR_c[4]\, C => 
        \CADDR_c[0]\, D => \CADDR_c[2]\, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJL);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXX : CM8
      port map(D0 => edaci_VCC, D1 => edaci_GND, D2 => edaci_GND, 
        D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXX, S01 => 
        XXDXXXXXXXXXXYXXV, S10 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXX, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXYXXJ);
    
    XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXXXX : OR3A
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, B => 
        XXDXXXXXXXXXXXXXXXXXFD, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXFD : CM8INV
      port map(A => axrdata(6), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHL : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHH, D1 => 
        XXDXXXXXXXXXXXXXXFQ, D2 => edaci_VCC, D3 => edaci_VCC, 
        S00 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHF, S01 => 
        XXDXXXXXXXXXXXXXXFH, S10 => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXXXXXXXXXXXLXXXW);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXV : CM8
      port map(D0 => XXDXXXXXXXXXXFF, D1 => axrdata(8), D2 => 
        edaci_GND, D3 => edaci_GND, S00 => edaci_GND, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        Reg_sram_rdata(2));
    
    XXXXXXXXXX : XA1
      port map(A => XXXDXXXXDXXXXXXXXXXXXLXXXXXXXXXXX, B => 
        XXXDXXXXDXXXXYXXXXX, C => XXXXXXXXXXXXXXXXXF, Y => 
        CORRECTABLE_c);
    
    XXDXXXXXXXXXXXXXXXXXXXXXH : DFC1B
      port map(D => XXDXXXXXXXXXXYXXXJ, CLK => CLK_c, CLR => 
        RSTn_c, Q => XXDXXXXXXXXXXXXXXXXXXXXXXXFF);
    
    XXDXXXXXXXXXXXXXWXDDXXXXXL : CM8
      port map(D0 => Reg_sram_waddr(1), D1 => \CADDR_c[1]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(1));
    
    XXDXXXXDXXXXXYXXXXXXXXX : XOR4
      port map(A => axrdata(10), B => axrdata(12), C => 
        axrdata(6), D => axrdata(8), Y => XXDXXXXDXXXXXYXXXXXXXFD);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFD : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJF, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXFL, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, S01 => 
        edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXJJ, S11 => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXHW);
    
    XXDXXXXXXXXXXXXXXXXXXLDXXXXXXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXXXXFF, Y => 
        XXDXXXXXXXXXXXXXXXXXFF_0);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXJF : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHQ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFL);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXP : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXJ : OR2
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXV, B => 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXF);
    
    XXDXXXXXXXXXXXXWXXXXXX : CM8
      port map(D0 => WE_c, D1 => XXDXXXXXXXXXXXXWXX, D2 => 
        edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF_0, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwe);
    
    XXDXXXXXXXXXXXXXWXDDXXXXXV : CM8
      port map(D0 => Reg_sram_waddr(6), D1 => \CADDR_c[6]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(6));
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXFH : CM8INV
      port map(A => axrdata(3), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW);
    
    XXDXXXXXXXXXXXXXXXFH : XOR2
      port map(A => \XXDXXXXXXXXXXXXXXDDXXXXXQ\, B => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXJP);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFW);
    
    XXDXXXXXXXXXXXXXXXXXXXLX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXL, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXJD, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXJ);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXK : XOR2
      port map(A => Reg_sram_wdata(7), B => Reg_sram_wdata(5), Y
         => XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXH : CM8INV
      port map(A => XXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXJP);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXP : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFL, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFF);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXXP : AND2
      port map(A => XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXF, B => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF, Y => axwdata(16));
    
    XXDXXXXXXXXXXXXXDDXXLXXF : CM8
      port map(D0 => edaci_GND, D1 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXX, D2 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXX, D3 => edaci_GND, S00 => 
        \XXDXXXXXXXXXXXXXXDDXXXXXXF\, S01 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFK, S10 => 
        \XXDXXXXXXXXXXXXXXDDXXXXXX\, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXJ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXJF, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHQ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHP, D1 => 
        XXDXXXXXXXXXXXXXXFV, D2 => edaci_GND, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFL, S01 => 
        XXDXXXXXXXXXXXXXXFF, S10 => 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXHL);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXK, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXDDXXXXXXF : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXX, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF, Q => 
        \XXDXXXXXXXXXXXXXXDDXXXXXXF\);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXL : XOR4
      port map(A => XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXX, B => 
        Reg_sram_wdata(1), C => Reg_sram_wdata(2), D => edaci_GND, 
        Y => XXDXXXXXXXXXXXDXDXXXXXXH);
    
    XXDXXXXXXXXXXXXXXJ : OR3
      port map(A => XXDXXXXXXXXXXXXXXXJQ, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, Y => 
        XXDXXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXDXXXXXYXXXXXXXQ : XOR2
      port map(A => axrdata(16), B => axrdata(14), Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXL);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXW : CM8
      port map(D0 => axrdata(7), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, D2 => 
        axrdata(7), D3 => axrdata(7), S00 => XXDXXXXDXXXXXYXXXXXH, 
        S01 => XXDXXXXXXXXXXFL_0, S10 => XXDXXXXDXXXXXYXXXXXJ, 
        S11 => XXDXXXXDXXXXXXXXH, Y => XXDXXXXXXXXXXFJ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFW, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFF);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXX : AND2
      port map(A => XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXJ, B => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF_0, Y => axwdata(14));
    
    XXDXXXXXXXXXXXXXDDXX : AND2A
      port map(A => edaci_GND, B => XXDXXXXXXXXXXXXXXXHJ, Y => 
        XXDXXXXXXXXXXXXXXDDXXX);
    
    XXDXXXXXXXXXXXXXWXDDXXXXXW : CM8
      port map(D0 => Reg_sram_waddr(7), D1 => \CADDR_c[7]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(7));
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXF_0, Y => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXF : CM8
      port map(D0 => edaci_GND, D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, D2 => 
        edaci_VCC, D3 => XXDXXXXXXXXF, S00 => XXDXXXXXXXXXXJ, S01
         => XXDXXXXXXXXXXFL, S10 => axrdata(13), S11 => edaci_GND, 
        Y => XXDXXXXXXXXXXFK);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHV : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXJ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHV);
    
    XXDXXXXXXXXXXXXXXXXXXLDXXXXXXXX : AND2A
      port map(A => XXDXXXXXXXXXXXXXXXXXFD, B => 
        XXDXXXXXXXXXXXXXXXFLXX, Y => XXDXXXXXXXXXXXXXXXXXFF);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXH : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXP, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXW, D3 => edaci_GND, S00 => 
        edaci_GND, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFL, S11 => edaci_GND, Y => 
        axwdata(3));
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => axrdata(17), Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFH : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHF, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXW);
    
    XXDXXXXXXXXXXXXWDXXXXXXXXJ : DFE3C
      port map(D => XXDXXXXXXXXXXFP, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXJ : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFK, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXX : XOR2
      port map(A => \XXDXXXXXXXXXXXXXXDDXXXXXW\, B => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXJV);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXP);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => edaci_GND, D1 => XXDXXXXXXXXXXXXXXXXXH, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, S01 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, S10 => 
        XXDXXXXXXXXXXYXX, S11 => XXDXXXXXXXXXXXXXXXFP, Y => 
        XXDXXXXXXXXXXYXXF);
    
    XXDXXXXXXXXXXXXXXXFJ : CM8
      port map(D0 => edaci_VCC, D1 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHD, D2 => edaci_VCC, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXXXXXXK, S01 => 
        XXDXXXXXXXXXXXXXXFF, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHP, S11 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, Y => 
        XXDXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXH : OR3
      port map(A => XXDXXXXXXXXXXXXXXXHV, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXQ : XOR2
      port map(A => \CADDR_c[5]\, B => Reg_sram_waddr(5), Y => 
        XXDXXXXXXXXXXXXXXXHP);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => edaci_GND, D1 => XXDXXXXDXXXXXXXXXX, D2 => 
        edaci_VCC, D3 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, S00 => 
        XXDXXXXXXXXXXF, S01 => XXDXXXXXXXXXXK_0, S10 => 
        axrdata(12), S11 => edaci_GND, Y => XXDXXXXXXXXXXFP);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX : OR2B
      port map(A => XXDXXXXDXXXXXYXXXXXH, B => 
        XXDXXXXDXXXXXYXXXXXJ, Y => XXDXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXK : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXP, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFP, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXFP);
    
    XXDXXXXXXXXXXXXXDDXXLXV : CM8
      port map(D0 => edaci_GND, D1 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXP, D2 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXP, D3 => edaci_GND, S00 => 
        \CADDR_c[2]\, S01 => XXDXXXXXXXXXXXXXXXXXL, S10 => 
        \CADDR_c[3]\, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXW);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXXQ : AND2
      port map(A => XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXK, B => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF, Y => axwdata(17));
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXJ : CM8
      port map(D0 => WE_c, D1 => edaci_GND, D2 => edaci_GND, D3
         => edaci_VCC, S00 => WE_c, S01 => \CADDR_c[3]\, S10 => 
        Reg_sram_waddr(3), S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXJF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXV : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXF, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFV : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHH, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFH, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, 
        S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, S11 => 
        XXDXXXXXXXXXXXXXXXXXK, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXJD);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXL : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFK, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXV, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXJH, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXHK);
    
    XXDXXXXXXXXXXXXXXXXXXH : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHW, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXV);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFJ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFW, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFF, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFQ, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXHJ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXH : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXXF : AND2
      port map(A => XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXXP, B => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF_0, Y => axwdata(15));
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHF : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFV, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHJ, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXQ, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXFF);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => edaci_VCC, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXFF, D3 => edaci_GND, S00 => 
        edaci_GND, S01 => edaci_GND, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, S11 => 
        XXDXXXXXXXXXXXXXXXHQ, Y => XXDXXXXXXXXXXYXXXJ);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXX : AND2
      port map(A => XXDXXXXDXXXXXYXXXXXXXXXXX, B => 
        XXXDXXXXDXXXXYXXXXX, Y => XXDXXXXDXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXLXW : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXF, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXX, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, 
        S11 => XXDXXXXXXXXXXXXXXXJQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXH);
    
    XXDXXXXXXXXXXXDXDXXXXXXXX : XOR4
      port map(A => XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXX, B => 
        XXDXXXXXXXXXXXDXDXXXXXXXXV, C => Reg_sram_wdata(0), D => 
        Reg_sram_wdata(3), Y => XXDXXXXXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXWDXXXXXXXW : DFE3C
      port map(D => XXDXXXXXXXXXXP, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXWX : DFC1B
      port map(D => XXDXXXXXXXXXXYXXL, CLK => CLK_c, CLR => 
        RSTn_c, Q => XXDXXXXXXXXXXXXWXX);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXH : CM8INV
      port map(A => XXDXXXXXXXXF, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXXDDXXXXXV : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXH, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF, Q => \CADDR_c[4]\);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXP : CM8
      port map(D0 => axrdata(2), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, D2 => 
        axrdata(2), D3 => axrdata(2), S00 => 
        XXDXXXXDXXXXXYXXXXXJ_0, S01 => XXDXXXXXXXXXXFL_0, S10 => 
        XXDXXXXDXXXXXYXXXXXH_0, S11 => XXDXXXXXXXX, Y => 
        XXDXXXXXXXXXXFQ);
    
    XXDXXXXXXXXXXXXXXDDX : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXW, CLK => CLK_c, CLR => 
        RSTn_c, E => XXDXXXXXXXXXXYXXH, Q => 
        XXDXXXXXXXXXXXXXXXDDXX);
    
    XXDXXXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => RE_c, D1 => XXDXXXXXXXXXXXXXXXHD, D2 => 
        edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axre);
    
    XXDXXXXXXXXXXXXXV : AND3B
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFV, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHV, C => 
        XXDXXXXXXXXXXXXXXFK, Y => XXDXXXXXXXXXXXXXXFP);
    
    XXDXXXXXXXXXXXXXXXFD : OR4A
      port map(A => XXDXXXXXXXXXXXXXXXFW, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHJ, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJD, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFK, Y => 
        XXDXXXXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXWXXXXX : CM8
      port map(D0 => edaci_GND, D1 => 
        XXDXXXXXXXXXXXXXXXWXXXXXXXXXXX, D2 => edaci_VCC, D3 => 
        edaci_VCC, S00 => \XXDXXXXXXXXXXXXXXDDXXXXXXF\, S01 => 
        edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXHK, S11 => 
        XXDXXXXXXXXXXXXXXXWXXXXXXXX, Y => XXDXXXXXXXXXXY);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXDXXXXXXXXXX, Y => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXYXXQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXP : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXQ, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXDDXXXXK : AND2A
      port map(A => XXYPXXXXXX, B => XXDXXXXXXXXXXXXXXXHJ, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ);
    
    XXDXXXXXXXXXXXXXDDXLDXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXDDXX, Y => 
        XXDXXXXXXXXXXXXXXDDXLDXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXH : XOR2
      port map(A => edaci_GND, B => edaci_GND, Y => 
        XXDXXXXXXXXXXXDXDXXXXXXXXV);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXK : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXP);
    
    XXDXXXXXXXXXXXXXXF : OR3
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXF, Y => 
        XXDXXXXXXXXXXXXXXXJQ);
    
    XXDXXXXDXXXXXYXXXXXXXXXXXXF : CM8INV
      port map(A => axrdata(10), Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXXXXXXXXQXXXXXXXXX : OR2
      port map(A => XXDXXXXXXXXXXXFXXXXLXXDX, B => STOP_SCRUB_c, 
        Y => XXDXXXXXXXXXXYXXQ);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXH : CM8INV
      port map(A => Reg_sram_waddr(7), Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFW : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHW, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJF);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHK : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFW, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXL, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXK, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXHH);
    
    XXDXXXXXXXXXXXXXDDXLDXXXXXXXXXX : AND2
      port map(A => XXDXXXXXXXXXXYXXK, B => 
        XXDXXXXXXXXXXXXXXXDDXX, Y => 
        XXDXXXXXXXXXXXXXDDXLDXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXFL : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFH, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXHH);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXJD : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXFJ, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, S01 => edaci_VCC, 
        S10 => XXDXXXXXXXXXXXXXXFL, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXFK);
    
    XXDXXXXXXXXXXXXXXXXXXXLXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, D1 => 
        XXDXXXXXXXXXXXXXXFK, D2 => edaci_GND, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXW, S01 => 
        XXDXXXXXXXXXXXXXXFW, S10 => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXXXXXXXXXXXLXXXFH);
    
    XXDXXXXXXXXXXXXXDDXXXXH_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXDDXXXXXFF, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXFF_0);
    
    XXDXXXXXXXXXXXXXDDXXLXX : XA1
      port map(A => XXDXXXXXXXXXXXXXXDDXXXXXFK, B => 
        \XXDXXXXXXXXXXXXXXDDXXXXXXF\, C => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXXF, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXX);
    
    XXDXXXXXXXXXXXXX : AND3B
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHL, C => 
        XXDXXXXXXXXXXXXXXFW, Y => XXDXXXXXXXXXXXXXXFK);
    
    XXDXXXXXXXXXXXXXXXFK : XOR2
      port map(A => \CADDR_c[1]\, B => Reg_sram_waddr(1), Y => 
        XXDXXXXXXXXXXXXXXXFQ);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXJ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXL, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXJ, D3 => edaci_GND, S00 => 
        edaci_GND, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFL, S11 => edaci_GND, Y => 
        axwdata(2));
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFD : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXFK, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ);
    
    XXDXXXXXXXXXXXXXXDDXXXXX : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXV, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF_0, Q => 
        \CADDR_c[7]\);
    
    XXDXXXXXXXXXXXXXDDXXXXJ : AND4A
      port map(A => XXDXXXXXXXXXXYXXXH, B => 
        \XXDXXXXXXXXXXXXXXDDXXXXXQ\, C => XXDXXXXXXXXXXYXXX, D
         => \XXDXXXXXXXXXXXXXXDDXXXXXW\, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXFK);
    
    XXDXXXXXXXXXXXXXQ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXHW, CLK => CLK_c, CLR => 
        RSTn_c, E => XXDXXXXXXXXXXYXXJ, Q => XXDXXXXXXXXXXXXXXXHD);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXX : AND4
      port map(A => \CADDR_c[5]\, B => \CADDR_c[3]\, C => 
        \CADDR_c[6]\, D => \CADDR_c[7]\, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXDXDXXXXXXXXXXXXX : CM8INV
      port map(A => edaci_GND, Y => 
        XXDXXXXXXXXXXXDXDXXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXDXXXXXYXXXXXXXH : CM8
      port map(D0 => axrdata(11), D1 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXX, D2 => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXXXX, D3 => axrdata(11), S00
         => XXDXXXXDXXXXXYXXXXXXXXXXXXX, S01 => edaci_VCC, S10
         => axrdata(9), S11 => edaci_GND, Y => 
        XXDXXXXDXXXXXYXXXXXJ);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXF : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXXF, 
        D1 => edaci_VCC, D2 => edaci_GND, D3 => edaci_VCC, S00
         => XXDXXXXXXXXXXXXXXXXXFD, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, S11 => 
        XXDXXXXXXXXXXXXXXXXH, Y => 
        XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXWXDDXXXXXP : CM8
      port map(D0 => Reg_sram_waddr(3), D1 => \CADDR_c[3]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(3));
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXJH : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXHV, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFV);
    
    XXDXXXXXXXXXXXXXXXDDXXXXXV : CM8
      port map(D0 => Reg_sram_raddr(0), D1 => \CADDR_c[0]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX_0, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(0));
    
    XXDXXXXXXXXXXXXXXK : OR4
      port map(A => XXDXXXXXXXXXXXXXXXJQ, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, Y => 
        XXDXXXXXXXXXXXXXXXJD);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXW : CM8
      port map(D0 => Reg_sram_wdata(3), D1 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXH, D2 => edaci_GND, D3 => 
        edaci_GND, S00 => XXDXXXXXXXXXXXXXXDDXXXXXFF_0, S01 => 
        edaci_VCC, S10 => edaci_GND, S11 => edaci_GND, Y => 
        axwdata(9));
    
    XXDXXXXXXXXXXXXXXXXXXXLXXH : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHQ, D1 => 
        XXDXXXXXXXXXXXXXXFW, D2 => edaci_GND, D3 => edaci_GND, 
        S00 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFD, S01 => 
        XXDXXXXXXXXXXXXXXFQ, S10 => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX_0, S11 => edaci_GND, Y
         => XXDXXXXXXXXXXXXXXXXXXXXLXXXP);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFK);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXV : CM8
      port map(D0 => axrdata(6), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXK, D2 => 
        axrdata(6), D3 => axrdata(6), S00 => XXDXXXXDXXXXXYXXXXXJ, 
        S01 => XXDXXXXDXXXXXXXXXX, S10 => XXDXXXXDXXXXXYXXXXXH, 
        S11 => XXDXXXXXXXX, Y => XXDXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXDDXXXX : CM8
      port map(D0 => edaci_VCC, D1 => edaci_GND, D2 => edaci_GND, 
        D3 => edaci_VCC, S00 => \XXDXXXXXXXXXXXXXXDDXXXXXW\, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXDDXXXXXXXXXX, S11
         => XXDXXXXXXXXXXYXXXH, Y => XXDXXXXXXXXXXXXXXDDXXXXXFD);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXK : CM8
      port map(D0 => XXDXXXXXXXXXXK_0, D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXH, D2 => 
        edaci_GND, D3 => edaci_VCC, S00 => axrdata(15), S01 => 
        edaci_VCC, S10 => XXDXXXXDXXXXXXXXH, S11 => 
        XXDXXXXDXXXXXXXXF, Y => XXDXXXXXXXXXXH);
    
    XYPXXXXX : BUFF
      port map(A => edaci_GND, Y => XXYPXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXFH : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXJ, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF_0, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFV, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXFD);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXJ : CM8
      port map(D0 => axrdata(17), D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX, D2 => 
        axrdata(17), D3 => axrdata(17), S00 => 
        XXDXXXXDXXXXXYXXXXXH, S01 => XXDXXXXXXXXXXF, S10 => 
        XXDXXXXDXXXXXYXXXXXJ, S11 => XXDXXXXDXXXXXXXXF, Y => 
        XXDXXXXXXXXXXFD);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXXHD : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFL, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFH);
    
    XXDXXXXXXXXXXXXXDDXXLXXXXXXK : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXHF, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXL);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXQ : CM8
      port map(D0 => edaci_GND, D1 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJ, D2 => 
        edaci_VCC, D3 => XXDXXXXXXXXF, S00 => XXDXXXXXXXXXXF, S01
         => XXDXXXXXXXXXXFL, S10 => axrdata(11), S11 => edaci_GND, 
        Y => XXDXXXXXXXXXXV);
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXQ : CM8
      port map(D0 => axrdata(13), D1 => 
        XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXXXXXXXXH, D2 => 
        axrdata(13), D3 => axrdata(13), S00 => XXDXXXXXXXXXXJ, 
        S01 => XXDXXXXXXXXXXFL, S10 => XXYPXXXXXX, S11 => 
        XXDXXXXXXXXF, Y => Reg_sram_rdata(7));
    
    XXDXXXXXXXXXXXXXXXDDXXXXXW : CM8
      port map(D0 => Reg_sram_raddr(1), D1 => \CADDR_c[1]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXX, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axraddr(1));
    
    XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, Y => 
        XXDXXXXXXXXXXXXXXXDDXXXXXQXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXWDXXXXXXXK : DFE3C
      port map(D => XXDXXXXXXXXXXFF, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXL);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXK : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXX, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXP_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXV);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHK : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXP, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHQ);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHP : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFH, D1 => 
        edaci_VCC, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFL, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, 
        S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFF, S11 => 
        XXDXXXXXXXXXXXXXXXXK, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXHQ);
    
    XXDXXXXXXXXXXXXXWXDDXXXXXQ : CM8
      port map(D0 => Reg_sram_waddr(2), D1 => \CADDR_c[2]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(2));
    
    XXDXXXXXXXXXXXXXXXXXXXXX : DFC1B
      port map(D => XXDXXXXXXXXXXYXXF, CLK => CLK_c, CLR => 
        RSTn_c, Q => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH);
    
    XXDXXXXXXXXXXXXXXXXXXXXQXXXXXX : CM8
      port map(D0 => edaci_VCC, D1 => XXDXXXXXXXXXXY, D2 => 
        edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXX, S01 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXJ, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXX, S11 => 
        XXDXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXX, Y => 
        XXDXXXXXXXXXXYXXL);
    
    XXDXXXXXXXXXXXXXXDDXXXXXJ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXW, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF_0, Q => 
        \CADDR_c[3]\);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXX : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXH, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXXXQXXXX);
    
    XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXX : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJJ, Y => 
        XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXFP : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXW, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXXXXXXXXFF_0, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHH);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXJ : AND2A
      port map(A => XXDXXXXDXXXXXYXXXXXK, B => 
        XXDXXXXDXXXXXYXXXXXL, Y => XXDXXXXXXXXXXJ);
    
    XXDXXXXXXXXXXXXXDDXXLXL : CM8
      port map(D0 => edaci_GND, D1 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXH, D2 => 
        XXDXXXXXXXXXXXXXXDDXXLXXXXXXXH, D3 => edaci_GND, S00 => 
        \CADDR_c[6]\, S01 => XXDXXXXXXXXXXXXXXDDXXXXXFH, S10 => 
        \CADDR_c[7]\, S11 => edaci_GND, Y => 
        XXDXXXXXXXXXXXXXXDDXXLXXV);
    
    XXDXXXXXXXXXXXXXDDXLDXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXYXXK, D1 => edaci_VCC, D2 => 
        edaci_GND, D3 => edaci_VCC, S00 => XXDXXXXXXXXXXYXXQ, S01
         => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXDDXLDXXXXXXXXXXX, 
        S11 => XXDXXXXXXXXXXXXXXXHQ, Y => 
        XXDXXXXXXXXXXXXXXDDXLDXXXXXX);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXK : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXFD, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXQ, D3 => edaci_GND, S00 => 
        edaci_GND, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFL, S11 => edaci_GND, Y => 
        axwdata(1));
    
    XXDXXXXXXXXXXXXXXXH : CM8
      port map(D0 => edaci_VCC, D1 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD, D2 => edaci_VCC, D3
         => edaci_VCC, S00 => XXDXXXXXXXXXXXXXXXXXXXXXXP, S01 => 
        XXDXXXXXXXXXXXXXXFV, S10 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHD, S11 => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJK, Y => 
        XXDXXXXXXXXXXXXXXXXH);
    
    XXDXXXXDXXXXXXFLXXXXXXXXXX_0 : BUFF
      port map(A => XXDXXXXXXXXXXK, Y => XXDXXXXXXXXXXK_0);
    
    XXDXXXXXXXXXXXXXH : AND3C
      port map(A => XXDXXXXXXXXXXXXXXXXXV, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJH, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFP, Y => 
        XXDXXXXXXXXXXXXXXXJJ);
    
    XXDXXXXXXXXXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJH, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXW);
    
    XXDXXXXXXXXXXXXXXXFLXXXXXXX : AND4C
      port map(A => XXDXXXXXXXXXXXXXXXXH, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFJ, C => \SCRUB_DONE_c\, 
        D => XXDXXXXXXXXXXXXXXXXFLXXXXXXXXXXXXX, Y => 
        XXDXXXXXXXXXXXXXXXFLXX);
    
    XXDXXXXXXXXXXXXXWXDDXXXXX : CM8
      port map(D0 => Reg_sram_waddr(4), D1 => \CADDR_c[4]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(4));
    
    XXDXXXXXXXXXXXXDXXXXXXXXXXXXJ : CM8
      port map(D0 => axrdata(11), D1 => 
        XXDXXXXXXXXXXXXDXXXXXXXXXXXXXXXXXXXXXXXF, D2 => 
        axrdata(11), D3 => axrdata(11), S00 => XXDXXXXXXXXXXF, 
        S01 => XXDXXXXXXXXXXFL, S10 => edaci_GND, S11 => 
        XXDXXXXXXXXF, Y => Reg_sram_rdata(5));
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXX : OR2A
      port map(A => XXXDXXXXDXXXXYXXXXX, B => 
        XXDXXXXDXXXXXYXXXXXXXXXXX, Y => XXDXXXXDXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXXXQXXXXXXXX : AND2A
      port map(A => XXDXXXXXXXXXXXXXXXXXFD, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXH, Y => 
        XXDXXXXXXXXXXXXXXXXXW);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXXXXXL : CM8INV
      port map(A => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXQ, Y => 
        XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXV);
    
    XXDXXXXXXXXXXXXXXDDXXXXXH : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXX, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF_0, Q => 
        \CADDR_c[2]\);
    
    XXDXXXXXXXXXXXXXXXJ : XOR2
      port map(A => \XXDXXXXXXXXXXXXXXDDXXXXXXF\, B => edaci_GND, 
        Y => XXDXXXXXXXXXXXXXXXJF);
    
    XXDXXXXXXXXXXXXXWXDDXXXXXK : CM8
      port map(D0 => Reg_sram_waddr(0), D1 => \CADDR_c[0]\, D2
         => edaci_GND, D3 => edaci_GND, S00 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFJ, S01 => edaci_VCC, S10 => 
        edaci_GND, S11 => edaci_GND, Y => axwaddr(0));
    
    XXDXXXXXXXXXXXXXXXXXXXXXXXXHQ : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXXXXXXXLXXXH, CLK => CLK_c, 
        CLR => RSTn_c, E => XXDXXXXXXXXXXYXXW, Q => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFD);
    
    XXDXXXXXXXXXXXXXXXF : OR4
      port map(A => XXDXXXXXXXXXXXXXXXXJ, B => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFL, C => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, D => 
        XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXFF, Y => 
        XXDXXXXXXXXXXXXXXXXF);
    
    XXDXXXXXXXXXXXXXWDXXXXXXXQ : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXQ, D1 => edaci_GND, D2 => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXP, D3 => edaci_GND, S00 => 
        edaci_GND, S01 => edaci_VCC, S10 => 
        XXDXXXXXXXXXXXXXXDDXXXXXFL, S11 => edaci_GND, Y => 
        axwdata(5));
    
    XXDXXXXXXXXXXXXXDDXXXXF : AND2A
      port map(A => XXYPXXXXXX, B => XXDXXXXXXXXXXXXXXXHJ, Y => 
        XXDXXXXXXXXXXXXXXDDXXXXXFL);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXV : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXHL, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXQ, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXXPXXXXXXXXXXX, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXFW, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXFJ);
    
    XXDXXXXDXXXXXYXXXXXXXXXXF : CM8INV
      port map(A => XXDXXXXDXXXXXYXXXXXXXXXXXXXK, Y => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXXXXXXLDXXXXXXXXF_0 : BUFF
      port map(A => XXDXXXXXXXXXXXXXXXXXP, Y => 
        XXDXXXXXXXXXXXXXXXXXP_0);
    
    XXDXXXXXXXXXXXXXXDDXXXXXF : DFE3C
      port map(D => XXDXXXXXXXXXXXXXXDDXXLXXF, CLK => CLK_c, CLR
         => RSTn_c, E => XXDXXXXXXXXXXXXXDDXXF_0, Q => 
        \CADDR_c[6]\);
    
    XXDXXXXXXXXXXXXXXXXXXXLXXHW : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXXXLXXXXXXXXFQ, D1 => 
        edaci_GND, D2 => XXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXJH, D3
         => edaci_GND, S00 => XXDXXXXXXXXXXXXXXXXXPXXXXXXXXXXF, 
        S01 => edaci_VCC, S10 => XXDXXXXXXXXXXXXXXXXXV, S11 => 
        edaci_GND, Y => XXDXXXXXXXXXXXXXXXXXXXXLXXXL);
    
    XXDXXXXXXXXXXXXWDXXXXXXXV : DFE3C
      port map(D => XXDXXXXXXXXXXFH, CLK => CLK_c, CLR => RSTn_c, 
        E => XXDXXXXXXXXXXXXXXDDXXXXXQXXXXXX, Q => 
        XXDXXXXXXXXXXXXWDXXXXXXXXXXXXXQ);
    
    XXDXXXXDXXXXXYXXXXXXXW : XOR2
      port map(A => XXDXXXXDXXXXXYXXXXXXXXXXXXXP, B => 
        XXDXXXXDXXXXXYXXXXXXXXXXXXXK, Y => XXDXXXXDXXXXXYXXXXXK);
    
    XXDXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXX : CM8
      port map(D0 => XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXH, 
        D1 => edaci_GND, D2 => edaci_GND, D3 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXH, S00 => 
        \CADDR_c[4]\, S01 => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXXXXXXXF, S10 => 
        Reg_sram_waddr(4), S11 => XXDXXXXXXXXXXXXXXXHH, Y => 
        XXDXXXXXXXXXXXXXXXXXXQXXXXXXXXXXXXXXXXXX);
    
    XXDXXXXXXXXXXXXXDDXXXXL : AND3A
      port map(A => XXDXXXXXXXXXXYXXXH, B => \CADDR_c[5]\, C => 
        \CADDR_c[4]\, Y => XXDXXXXXXXXXXXXXXDDXXXXXFH);
    
    XXDXXXXDXXXXXXXXXXXXXXXXXXXXXP : CM8
      port map(D0 => edaci_GND, D1 => XXDXXXXDXXXXXXXXXX, D2 => 
        edaci_VCC, D3 => 
        XXDXXXXDXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXP, S00 => 
        XXDXXXXXXXXXXJ, S01 => XXDXXXXXXXXXXK, S10 => axrdata(10), 
        S11 => edaci_GND, Y => XXDXXXXXXXXXXFW);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;
use Axcelerator.all;

entity AX_EDAC_SRAM256X8_EFLAGS_RAM is

    port( axrdata                          : out   std_logic_vector(17 downto 0);
          axwaddr                          : in    std_logic_vector(7 downto 0);
          axwdata                          : in    std_logic_vector(17 downto 0);
          axraddr                          : in    std_logic_vector(7 downto 0);
          axwe                             : in    std_logic;
          AX_EDAC_SRAM256X8_EFLAGS_RAM_VCC : in    std_logic;
          axre                             : in    std_logic;
          CLK_c                            : in    std_logic;
          AX_EDAC_SRAM256X8_EFLAGS_RAM_GND : in    std_logic
        );

end AX_EDAC_SRAM256X8_EFLAGS_RAM;

architecture DEF_ARCH of AX_EDAC_SRAM256X8_EFLAGS_RAM is 

  component RAM64K36
    generic (MEMORYFILE:string := "");

    port( WCLK   : in    std_logic := 'U';
          RCLK   : in    std_logic := 'U';
          DEPTH0 : in    std_logic := 'U';
          DEPTH1 : in    std_logic := 'U';
          DEPTH2 : in    std_logic := 'U';
          DEPTH3 : in    std_logic := 'U';
          WEN    : in    std_logic := 'U';
          WW0    : in    std_logic := 'U';
          WW1    : in    std_logic := 'U';
          WW2    : in    std_logic := 'U';
          WRAD0  : in    std_logic := 'U';
          WRAD1  : in    std_logic := 'U';
          WRAD2  : in    std_logic := 'U';
          WRAD3  : in    std_logic := 'U';
          WRAD4  : in    std_logic := 'U';
          WRAD5  : in    std_logic := 'U';
          WRAD6  : in    std_logic := 'U';
          WRAD7  : in    std_logic := 'U';
          WRAD8  : in    std_logic := 'U';
          WRAD9  : in    std_logic := 'U';
          WRAD10 : in    std_logic := 'U';
          WRAD11 : in    std_logic := 'U';
          WRAD12 : in    std_logic := 'U';
          WRAD13 : in    std_logic := 'U';
          WRAD14 : in    std_logic := 'U';
          WRAD15 : in    std_logic := 'U';
          WD0    : in    std_logic := 'U';
          WD1    : in    std_logic := 'U';
          WD2    : in    std_logic := 'U';
          WD3    : in    std_logic := 'U';
          WD4    : in    std_logic := 'U';
          WD5    : in    std_logic := 'U';
          WD6    : in    std_logic := 'U';
          WD7    : in    std_logic := 'U';
          WD8    : in    std_logic := 'U';
          WD9    : in    std_logic := 'U';
          WD10   : in    std_logic := 'U';
          WD11   : in    std_logic := 'U';
          WD12   : in    std_logic := 'U';
          WD13   : in    std_logic := 'U';
          WD14   : in    std_logic := 'U';
          WD15   : in    std_logic := 'U';
          WD16   : in    std_logic := 'U';
          WD17   : in    std_logic := 'U';
          WD18   : in    std_logic := 'U';
          WD19   : in    std_logic := 'U';
          WD20   : in    std_logic := 'U';
          WD21   : in    std_logic := 'U';
          WD22   : in    std_logic := 'U';
          WD23   : in    std_logic := 'U';
          WD24   : in    std_logic := 'U';
          WD25   : in    std_logic := 'U';
          WD26   : in    std_logic := 'U';
          WD27   : in    std_logic := 'U';
          WD28   : in    std_logic := 'U';
          WD29   : in    std_logic := 'U';
          WD30   : in    std_logic := 'U';
          WD31   : in    std_logic := 'U';
          WD32   : in    std_logic := 'U';
          WD33   : in    std_logic := 'U';
          WD34   : in    std_logic := 'U';
          WD35   : in    std_logic := 'U';
          REN    : in    std_logic := 'U';
          RW0    : in    std_logic := 'U';
          RW1    : in    std_logic := 'U';
          RW2    : in    std_logic := 'U';
          RDAD0  : in    std_logic := 'U';
          RDAD1  : in    std_logic := 'U';
          RDAD2  : in    std_logic := 'U';
          RDAD3  : in    std_logic := 'U';
          RDAD4  : in    std_logic := 'U';
          RDAD5  : in    std_logic := 'U';
          RDAD6  : in    std_logic := 'U';
          RDAD7  : in    std_logic := 'U';
          RDAD8  : in    std_logic := 'U';
          RDAD9  : in    std_logic := 'U';
          RDAD10 : in    std_logic := 'U';
          RDAD11 : in    std_logic := 'U';
          RDAD12 : in    std_logic := 'U';
          RDAD13 : in    std_logic := 'U';
          RDAD14 : in    std_logic := 'U';
          RDAD15 : in    std_logic := 'U';
          RD0    : out   std_logic;
          RD1    : out   std_logic;
          RD2    : out   std_logic;
          RD3    : out   std_logic;
          RD4    : out   std_logic;
          RD5    : out   std_logic;
          RD6    : out   std_logic;
          RD7    : out   std_logic;
          RD8    : out   std_logic;
          RD9    : out   std_logic;
          RD10   : out   std_logic;
          RD11   : out   std_logic;
          RD12   : out   std_logic;
          RD13   : out   std_logic;
          RD14   : out   std_logic;
          RD15   : out   std_logic;
          RD16   : out   std_logic;
          RD17   : out   std_logic;
          RD18   : out   std_logic;
          RD19   : out   std_logic;
          RD20   : out   std_logic;
          RD21   : out   std_logic;
          RD22   : out   std_logic;
          RD23   : out   std_logic;
          RD24   : out   std_logic;
          RD25   : out   std_logic;
          RD26   : out   std_logic;
          RD27   : out   std_logic;
          RD28   : out   std_logic;
          RD29   : out   std_logic;
          RD30   : out   std_logic;
          RD31   : out   std_logic;
          RD32   : out   std_logic;
          RD33   : out   std_logic;
          RD34   : out   std_logic;
          RD35   : out   std_logic
        );
  end component;

    signal RAMBLOCK_0_inst_RD18, RAMBLOCK_0_inst_RD19, 
        RAMBLOCK_0_inst_RD20, RAMBLOCK_0_inst_RD21, 
        RAMBLOCK_0_inst_RD22, RAMBLOCK_0_inst_RD23, 
        RAMBLOCK_0_inst_RD24, RAMBLOCK_0_inst_RD25, 
        RAMBLOCK_0_inst_RD26, RAMBLOCK_0_inst_RD27, 
        RAMBLOCK_0_inst_RD28, RAMBLOCK_0_inst_RD29, 
        RAMBLOCK_0_inst_RD30, RAMBLOCK_0_inst_RD31, 
        RAMBLOCK_0_inst_RD32, RAMBLOCK_0_inst_RD33, 
        RAMBLOCK_0_inst_RD34, RAMBLOCK_0_inst_RD35, \GND\, \VCC\
         : std_logic;

begin 


    RAMBLOCK_0_inst : RAM64K36
      port map(WCLK => CLK_c, RCLK => CLK_c, DEPTH0 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, DEPTH1 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, DEPTH2 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, DEPTH3 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WEN => axwe, WW0 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WW1 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WW2 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_VCC, WRAD0 => axwaddr(0), 
        WRAD1 => axwaddr(1), WRAD2 => axwaddr(2), WRAD3 => 
        axwaddr(3), WRAD4 => axwaddr(4), WRAD5 => axwaddr(5), 
        WRAD6 => axwaddr(6), WRAD7 => axwaddr(7), WRAD8 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WRAD9 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WRAD10 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WRAD11 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WRAD12 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WRAD13 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WRAD14 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WRAD15 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD0 => axwdata(0), WD1
         => axwdata(1), WD2 => axwdata(2), WD3 => axwdata(3), WD4
         => axwdata(4), WD5 => axwdata(5), WD6 => axwdata(6), WD7
         => axwdata(7), WD8 => axwdata(8), WD9 => axwdata(9), 
        WD10 => axwdata(10), WD11 => axwdata(11), WD12 => 
        axwdata(12), WD13 => axwdata(13), WD14 => axwdata(14), 
        WD15 => axwdata(15), WD16 => axwdata(16), WD17 => 
        axwdata(17), WD18 => AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, 
        WD19 => AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD20 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD21 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD22 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD23 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD24 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD25 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD26 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD27 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD28 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD29 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD30 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD31 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD32 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD33 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD34 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, WD35 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, REN => axre, RW0 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RW1 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RW2 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_VCC, RDAD0 => axraddr(0), 
        RDAD1 => axraddr(1), RDAD2 => axraddr(2), RDAD3 => 
        axraddr(3), RDAD4 => axraddr(4), RDAD5 => axraddr(5), 
        RDAD6 => axraddr(6), RDAD7 => axraddr(7), RDAD8 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RDAD9 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RDAD10 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RDAD11 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RDAD12 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RDAD13 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RDAD14 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RDAD15 => 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_GND, RD0 => axrdata(0), RD1
         => axrdata(1), RD2 => axrdata(2), RD3 => axrdata(3), RD4
         => axrdata(4), RD5 => axrdata(5), RD6 => axrdata(6), RD7
         => axrdata(7), RD8 => axrdata(8), RD9 => axrdata(9), 
        RD10 => axrdata(10), RD11 => axrdata(11), RD12 => 
        axrdata(12), RD13 => axrdata(13), RD14 => axrdata(14), 
        RD15 => axrdata(15), RD16 => axrdata(16), RD17 => 
        axrdata(17), RD18 => RAMBLOCK_0_inst_RD18, RD19 => 
        RAMBLOCK_0_inst_RD19, RD20 => RAMBLOCK_0_inst_RD20, RD21
         => RAMBLOCK_0_inst_RD21, RD22 => RAMBLOCK_0_inst_RD22, 
        RD23 => RAMBLOCK_0_inst_RD23, RD24 => 
        RAMBLOCK_0_inst_RD24, RD25 => RAMBLOCK_0_inst_RD25, RD26
         => RAMBLOCK_0_inst_RD26, RD27 => RAMBLOCK_0_inst_RD27, 
        RD28 => RAMBLOCK_0_inst_RD28, RD29 => 
        RAMBLOCK_0_inst_RD29, RD30 => RAMBLOCK_0_inst_RD30, RD31
         => RAMBLOCK_0_inst_RD31, RD32 => RAMBLOCK_0_inst_RD32, 
        RD33 => RAMBLOCK_0_inst_RD33, RD34 => 
        RAMBLOCK_0_inst_RD34, RD35 => RAMBLOCK_0_inst_RD35);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;
use Axcelerator.all;

entity AX_EDAC_SRAM256X8_EFLAGS is

    port( Reg_sram_wdata               : in    std_logic_vector(7 downto 0);
          CADDR_c                      : out   std_logic_vector(7 downto 0);
          Reg_sram_raddr               : in    std_logic_vector(7 downto 0);
          Reg_sram_waddr               : in    std_logic_vector(7 downto 0);
          Reg_sram_rdata               : out   std_logic_vector(7 downto 0);
          CORRECTABLE_c                : out   std_logic;
          SCRUB_DONE_c                 : out   std_logic;
          RSTn_c                       : in    std_logic;
          STOP_SCRUB_c                 : in    std_logic;
          RE_c                         : in    std_logic;
          TMOUTFLG_c                   : out   std_logic;
          WE_c                         : in    std_logic;
          SCRUB_CORRECTED_c            : out   std_logic;
          SLOWDOWN_c                   : out   std_logic;
          ERROR_c                      : out   std_logic;
          AX_EDAC_SRAM256X8_EFLAGS_GND : in    std_logic;
          CLK_c                        : in    std_logic;
          AX_EDAC_SRAM256X8_EFLAGS_VCC : in    std_logic
        );

end AX_EDAC_SRAM256X8_EFLAGS;

architecture DEF_ARCH of AX_EDAC_SRAM256X8_EFLAGS is 

  component edaci
    port( Reg_sram_rdata    : out   std_logic_vector(7 downto 0);
          axrdata           : in    std_logic_vector(17 downto 0) := (others => 'U');
          axwaddr           : out   std_logic_vector(7 downto 0);
          Reg_sram_waddr    : in    std_logic_vector(7 downto 0) := (others => 'U');
          axraddr           : out   std_logic_vector(7 downto 0);
          Reg_sram_raddr    : in    std_logic_vector(7 downto 0) := (others => 'U');
          axwdata           : out   std_logic_vector(17 downto 0);
          CADDR_c           : out   std_logic_vector(7 downto 0);
          Reg_sram_wdata    : in    std_logic_vector(7 downto 0) := (others => 'U');
          ERROR_c           : out   std_logic;
          SLOWDOWN_c        : out   std_logic;
          SCRUB_CORRECTED_c : out   std_logic;
          axwe              : out   std_logic;
          WE_c              : in    std_logic := 'U';
          TMOUTFLG_c        : out   std_logic;
          axre              : out   std_logic;
          RE_c              : in    std_logic := 'U';
          STOP_SCRUB_c      : in    std_logic := 'U';
          edaci_GND         : in    std_logic := 'U';
          edaci_VCC         : in    std_logic := 'U';
          RSTn_c            : in    std_logic := 'U';
          CLK_c             : in    std_logic := 'U';
          SCRUB_DONE_c      : out   std_logic;
          CORRECTABLE_c     : out   std_logic
        );
  end component;

  component AX_EDAC_SRAM256X8_EFLAGS_RAM
    port( axrdata                          : out   std_logic_vector(17 downto 0);
          axwaddr                          : in    std_logic_vector(7 downto 0) := (others => 'U');
          axwdata                          : in    std_logic_vector(17 downto 0) := (others => 'U');
          axraddr                          : in    std_logic_vector(7 downto 0) := (others => 'U');
          axwe                             : in    std_logic := 'U';
          AX_EDAC_SRAM256X8_EFLAGS_RAM_VCC : in    std_logic := 'U';
          axre                             : in    std_logic := 'U';
          CLK_c                            : in    std_logic := 'U';
          AX_EDAC_SRAM256X8_EFLAGS_RAM_GND : in    std_logic := 'U'
        );
  end component;

    signal \axrdata[0]\, \axrdata[1]\, \axrdata[2]\, 
        \axrdata[3]\, \axrdata[4]\, \axrdata[5]\, \axrdata[6]\, 
        \axrdata[7]\, \axrdata[8]\, \axrdata[9]\, \axrdata[10]\, 
        \axrdata[11]\, \axrdata[12]\, \axrdata[13]\, 
        \axrdata[14]\, \axrdata[15]\, \axrdata[16]\, 
        \axrdata[17]\, \axwaddr[0]\, \axwaddr[1]\, \axwaddr[2]\, 
        \axwaddr[3]\, \axwaddr[4]\, \axwaddr[5]\, \axwaddr[6]\, 
        \axwaddr[7]\, \axwdata[0]\, \axwdata[1]\, \axwdata[2]\, 
        \axwdata[3]\, \axwdata[4]\, \axwdata[5]\, \axwdata[6]\, 
        \axwdata[7]\, \axwdata[8]\, \axwdata[9]\, \axwdata[10]\, 
        \axwdata[11]\, \axwdata[12]\, \axwdata[13]\, 
        \axwdata[14]\, \axwdata[15]\, \axwdata[16]\, 
        \axwdata[17]\, \axraddr[0]\, \axraddr[1]\, \axraddr[2]\, 
        \axraddr[3]\, \axraddr[4]\, \axraddr[5]\, \axraddr[6]\, 
        \axraddr[7]\, axwe, axre, \GND\, \VCC\ : std_logic;

    for all : edaci
	Use entity work.edaci(DEF_ARCH);
    for all : AX_EDAC_SRAM256X8_EFLAGS_RAM
	Use entity work.AX_EDAC_SRAM256X8_EFLAGS_RAM(DEF_ARCH);
begin 


    uedaci : edaci
      port map(Reg_sram_rdata(7) => Reg_sram_rdata(7), 
        Reg_sram_rdata(6) => Reg_sram_rdata(6), Reg_sram_rdata(5)
         => Reg_sram_rdata(5), Reg_sram_rdata(4) => 
        Reg_sram_rdata(4), Reg_sram_rdata(3) => Reg_sram_rdata(3), 
        Reg_sram_rdata(2) => Reg_sram_rdata(2), Reg_sram_rdata(1)
         => Reg_sram_rdata(1), Reg_sram_rdata(0) => 
        Reg_sram_rdata(0), axrdata(17) => \axrdata[17]\, 
        axrdata(16) => \axrdata[16]\, axrdata(15) => 
        \axrdata[15]\, axrdata(14) => \axrdata[14]\, axrdata(13)
         => \axrdata[13]\, axrdata(12) => \axrdata[12]\, 
        axrdata(11) => \axrdata[11]\, axrdata(10) => 
        \axrdata[10]\, axrdata(9) => \axrdata[9]\, axrdata(8) => 
        \axrdata[8]\, axrdata(7) => \axrdata[7]\, axrdata(6) => 
        \axrdata[6]\, axrdata(5) => \axrdata[5]\, axrdata(4) => 
        \axrdata[4]\, axrdata(3) => \axrdata[3]\, axrdata(2) => 
        \axrdata[2]\, axrdata(1) => \axrdata[1]\, axrdata(0) => 
        \axrdata[0]\, axwaddr(7) => \axwaddr[7]\, axwaddr(6) => 
        \axwaddr[6]\, axwaddr(5) => \axwaddr[5]\, axwaddr(4) => 
        \axwaddr[4]\, axwaddr(3) => \axwaddr[3]\, axwaddr(2) => 
        \axwaddr[2]\, axwaddr(1) => \axwaddr[1]\, axwaddr(0) => 
        \axwaddr[0]\, Reg_sram_waddr(7) => Reg_sram_waddr(7), 
        Reg_sram_waddr(6) => Reg_sram_waddr(6), Reg_sram_waddr(5)
         => Reg_sram_waddr(5), Reg_sram_waddr(4) => 
        Reg_sram_waddr(4), Reg_sram_waddr(3) => Reg_sram_waddr(3), 
        Reg_sram_waddr(2) => Reg_sram_waddr(2), Reg_sram_waddr(1)
         => Reg_sram_waddr(1), Reg_sram_waddr(0) => 
        Reg_sram_waddr(0), axraddr(7) => \axraddr[7]\, axraddr(6)
         => \axraddr[6]\, axraddr(5) => \axraddr[5]\, axraddr(4)
         => \axraddr[4]\, axraddr(3) => \axraddr[3]\, axraddr(2)
         => \axraddr[2]\, axraddr(1) => \axraddr[1]\, axraddr(0)
         => \axraddr[0]\, Reg_sram_raddr(7) => Reg_sram_raddr(7), 
        Reg_sram_raddr(6) => Reg_sram_raddr(6), Reg_sram_raddr(5)
         => Reg_sram_raddr(5), Reg_sram_raddr(4) => 
        Reg_sram_raddr(4), Reg_sram_raddr(3) => Reg_sram_raddr(3), 
        Reg_sram_raddr(2) => Reg_sram_raddr(2), Reg_sram_raddr(1)
         => Reg_sram_raddr(1), Reg_sram_raddr(0) => 
        Reg_sram_raddr(0), axwdata(17) => \axwdata[17]\, 
        axwdata(16) => \axwdata[16]\, axwdata(15) => 
        \axwdata[15]\, axwdata(14) => \axwdata[14]\, axwdata(13)
         => \axwdata[13]\, axwdata(12) => \axwdata[12]\, 
        axwdata(11) => \axwdata[11]\, axwdata(10) => 
        \axwdata[10]\, axwdata(9) => \axwdata[9]\, axwdata(8) => 
        \axwdata[8]\, axwdata(7) => \axwdata[7]\, axwdata(6) => 
        \axwdata[6]\, axwdata(5) => \axwdata[5]\, axwdata(4) => 
        \axwdata[4]\, axwdata(3) => \axwdata[3]\, axwdata(2) => 
        \axwdata[2]\, axwdata(1) => \axwdata[1]\, axwdata(0) => 
        \axwdata[0]\, CADDR_c(7) => CADDR_c(7), CADDR_c(6) => 
        CADDR_c(6), CADDR_c(5) => CADDR_c(5), CADDR_c(4) => 
        CADDR_c(4), CADDR_c(3) => CADDR_c(3), CADDR_c(2) => 
        CADDR_c(2), CADDR_c(1) => CADDR_c(1), CADDR_c(0) => 
        CADDR_c(0), Reg_sram_wdata(7) => Reg_sram_wdata(7), 
        Reg_sram_wdata(6) => Reg_sram_wdata(6), Reg_sram_wdata(5)
         => Reg_sram_wdata(5), Reg_sram_wdata(4) => 
        Reg_sram_wdata(4), Reg_sram_wdata(3) => Reg_sram_wdata(3), 
        Reg_sram_wdata(2) => Reg_sram_wdata(2), Reg_sram_wdata(1)
         => Reg_sram_wdata(1), Reg_sram_wdata(0) => 
        Reg_sram_wdata(0), ERROR_c => ERROR_c, SLOWDOWN_c => 
        SLOWDOWN_c, SCRUB_CORRECTED_c => SCRUB_CORRECTED_c, axwe
         => axwe, WE_c => WE_c, TMOUTFLG_c => TMOUTFLG_c, axre
         => axre, RE_c => RE_c, STOP_SCRUB_c => STOP_SCRUB_c, 
        edaci_GND => AX_EDAC_SRAM256X8_EFLAGS_GND, edaci_VCC => 
        AX_EDAC_SRAM256X8_EFLAGS_VCC, RSTn_c => RSTn_c, CLK_c => 
        CLK_c, SCRUB_DONE_c => SCRUB_DONE_c, CORRECTABLE_c => 
        CORRECTABLE_c);
    
    uaxram : AX_EDAC_SRAM256X8_EFLAGS_RAM
      port map(axrdata(17) => \axrdata[17]\, axrdata(16) => 
        \axrdata[16]\, axrdata(15) => \axrdata[15]\, axrdata(14)
         => \axrdata[14]\, axrdata(13) => \axrdata[13]\, 
        axrdata(12) => \axrdata[12]\, axrdata(11) => 
        \axrdata[11]\, axrdata(10) => \axrdata[10]\, axrdata(9)
         => \axrdata[9]\, axrdata(8) => \axrdata[8]\, axrdata(7)
         => \axrdata[7]\, axrdata(6) => \axrdata[6]\, axrdata(5)
         => \axrdata[5]\, axrdata(4) => \axrdata[4]\, axrdata(3)
         => \axrdata[3]\, axrdata(2) => \axrdata[2]\, axrdata(1)
         => \axrdata[1]\, axrdata(0) => \axrdata[0]\, axwaddr(7)
         => \axwaddr[7]\, axwaddr(6) => \axwaddr[6]\, axwaddr(5)
         => \axwaddr[5]\, axwaddr(4) => \axwaddr[4]\, axwaddr(3)
         => \axwaddr[3]\, axwaddr(2) => \axwaddr[2]\, axwaddr(1)
         => \axwaddr[1]\, axwaddr(0) => \axwaddr[0]\, axwdata(17)
         => \axwdata[17]\, axwdata(16) => \axwdata[16]\, 
        axwdata(15) => \axwdata[15]\, axwdata(14) => 
        \axwdata[14]\, axwdata(13) => \axwdata[13]\, axwdata(12)
         => \axwdata[12]\, axwdata(11) => \axwdata[11]\, 
        axwdata(10) => \axwdata[10]\, axwdata(9) => \axwdata[9]\, 
        axwdata(8) => \axwdata[8]\, axwdata(7) => \axwdata[7]\, 
        axwdata(6) => \axwdata[6]\, axwdata(5) => \axwdata[5]\, 
        axwdata(4) => \axwdata[4]\, axwdata(3) => \axwdata[3]\, 
        axwdata(2) => \axwdata[2]\, axwdata(1) => \axwdata[1]\, 
        axwdata(0) => \axwdata[0]\, axraddr(7) => \axraddr[7]\, 
        axraddr(6) => \axraddr[6]\, axraddr(5) => \axraddr[5]\, 
        axraddr(4) => \axraddr[4]\, axraddr(3) => \axraddr[3]\, 
        axraddr(2) => \axraddr[2]\, axraddr(1) => \axraddr[1]\, 
        axraddr(0) => \axraddr[0]\, axwe => axwe, 
        AX_EDAC_SRAM256X8_EFLAGS_RAM_VCC => 
        AX_EDAC_SRAM256X8_EFLAGS_VCC, axre => axre, CLK_c => 
        CLK_c, AX_EDAC_SRAM256X8_EFLAGS_RAM_GND => 
        AX_EDAC_SRAM256X8_EFLAGS_GND);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;
use Axcelerator.all;

entity Top_Level is

    port( SRAM_WDATA      : in    std_logic_vector(7 downto 0);
          SRAM_WADDR      : in    std_logic_vector(7 downto 0);
          SRAM_RDATA      : out   std_logic_vector(7 downto 0);
          SRAM_RADDR      : in    std_logic_vector(7 downto 0);
          RSTn            : in    std_logic;
          CLK             : in    std_logic;
          WE              : in    std_logic;
          RE              : in    std_logic;
          STOP_SCRUB      : in    std_logic;
          SLOWDOWN        : out   std_logic;
          ERROR           : out   std_logic;
          CORRECTABLE     : out   std_logic;
          SCRUB_CORRECTED : out   std_logic;
          CADDR           : out   std_logic_vector(7 downto 0);
          SCRUB_DONE      : out   std_logic;
          TMOUTFLG        : out   std_logic
        );

end Top_Level;

architecture DEF_ARCH of Top_Level is 

  component OUTBUF
    port( D   : in    std_logic := 'U';
          PAD : out   std_logic
        );
  end component;

  component DFC1B
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

  component INBUF
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component VCC
    port( Y : out   std_logic
        );
  end component;

  component CLKBUF
    port( PAD : in    std_logic := 'U';
          Y   : out   std_logic
        );
  end component;

  component AX_EDAC_SRAM256X8_EFLAGS
    port( Reg_sram_wdata               : in    std_logic_vector(7 downto 0) := (others => 'U');
          CADDR_c                      : out   std_logic_vector(7 downto 0);
          Reg_sram_raddr               : in    std_logic_vector(7 downto 0) := (others => 'U');
          Reg_sram_waddr               : in    std_logic_vector(7 downto 0) := (others => 'U');
          Reg_sram_rdata               : out   std_logic_vector(7 downto 0);
          CORRECTABLE_c                : out   std_logic;
          SCRUB_DONE_c                 : out   std_logic;
          RSTn_c                       : in    std_logic := 'U';
          STOP_SCRUB_c                 : in    std_logic := 'U';
          RE_c                         : in    std_logic := 'U';
          TMOUTFLG_c                   : out   std_logic;
          WE_c                         : in    std_logic := 'U';
          SCRUB_CORRECTED_c            : out   std_logic;
          SLOWDOWN_c                   : out   std_logic;
          ERROR_c                      : out   std_logic;
          AX_EDAC_SRAM256X8_EFLAGS_GND : in    std_logic := 'U';
          CLK_c                        : in    std_logic := 'U';
          AX_EDAC_SRAM256X8_EFLAGS_VCC : in    std_logic := 'U'
        );
  end component;

  component GND
    port( Y : out   std_logic
        );
  end component;

    signal \Reg_sram_wdata[0]_net_1\, \Reg_sram_wdata[1]_net_1\, 
        \Reg_sram_wdata[2]_net_1\, \Reg_sram_wdata[3]_net_1\, 
        \Reg_sram_wdata[4]_net_1\, \Reg_sram_wdata[5]_net_1\, 
        \Reg_sram_wdata[6]_net_1\, \Reg_sram_wdata[7]_net_1\, 
        \Reg_sram_waddr[0]_net_1\, \Reg_sram_waddr[1]_net_1\, 
        \Reg_sram_waddr[2]_net_1\, \Reg_sram_waddr[3]_net_1\, 
        \Reg_sram_waddr[4]_net_1\, \Reg_sram_waddr[5]_net_1\, 
        \Reg_sram_waddr[6]_net_1\, \Reg_sram_waddr[7]_net_1\, 
        \Reg_sram_raddr[0]_net_1\, \Reg_sram_raddr[1]_net_1\, 
        \Reg_sram_raddr[2]_net_1\, \Reg_sram_raddr[3]_net_1\, 
        \Reg_sram_raddr[4]_net_1\, \Reg_sram_raddr[5]_net_1\, 
        \Reg_sram_raddr[6]_net_1\, \Reg_sram_raddr[7]_net_1\, 
        \Reg_sram_rdata[0]\, \Reg_sram_rdata[1]\, 
        \Reg_sram_rdata[2]\, \Reg_sram_rdata[3]\, 
        \Reg_sram_rdata[4]\, \Reg_sram_rdata[5]\, 
        \Reg_sram_rdata[6]\, \Reg_sram_rdata[7]\, VCC_net_1, 
        GND_net_1, \SRAM_WDATA_c[0]\, \SRAM_WDATA_c[1]\, 
        \SRAM_WDATA_c[2]\, \SRAM_WDATA_c[3]\, \SRAM_WDATA_c[4]\, 
        \SRAM_WDATA_c[5]\, \SRAM_WDATA_c[6]\, \SRAM_WDATA_c[7]\, 
        \SRAM_WADDR_c[0]\, \SRAM_WADDR_c[1]\, \SRAM_WADDR_c[2]\, 
        \SRAM_WADDR_c[3]\, \SRAM_WADDR_c[4]\, \SRAM_WADDR_c[5]\, 
        \SRAM_WADDR_c[6]\, \SRAM_WADDR_c[7]\, \SRAM_RDATA_c[0]\, 
        \SRAM_RDATA_c[1]\, \SRAM_RDATA_c[2]\, \SRAM_RDATA_c[3]\, 
        \SRAM_RDATA_c[4]\, \SRAM_RDATA_c[5]\, \SRAM_RDATA_c[6]\, 
        \SRAM_RDATA_c[7]\, \SRAM_RADDR_c[0]\, \SRAM_RADDR_c[1]\, 
        \SRAM_RADDR_c[2]\, \SRAM_RADDR_c[3]\, \SRAM_RADDR_c[4]\, 
        \SRAM_RADDR_c[5]\, \SRAM_RADDR_c[6]\, \SRAM_RADDR_c[7]\, 
        RSTn_c, CLK_c, WE_c, RE_c, STOP_SCRUB_c, SLOWDOWN_c, 
        ERROR_c, CORRECTABLE_c, SCRUB_CORRECTED_c, \CADDR_c[0]\, 
        \CADDR_c[1]\, \CADDR_c[2]\, \CADDR_c[3]\, \CADDR_c[4]\, 
        \CADDR_c[5]\, \CADDR_c[6]\, \CADDR_c[7]\, SCRUB_DONE_c, 
        TMOUTFLG_c, GND_net_2, VCC_net_2 : std_logic;

    for all : AX_EDAC_SRAM256X8_EFLAGS
	Use entity work.AX_EDAC_SRAM256X8_EFLAGS(DEF_ARCH);
begin 


    \SRAM_RDATA_pad[7]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[7]\, PAD => SRAM_RDATA(7));
    
    \SRAM_RDATA_pad[0]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[0]\, PAD => SRAM_RDATA(0));
    
    \Reg_sram_wdata[2]\ : DFC1B
      port map(D => \SRAM_WDATA_c[2]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[2]_net_1\);
    
    \SRAM_WDATA_pad[6]\ : INBUF
      port map(PAD => SRAM_WDATA(6), Y => \SRAM_WDATA_c[6]\);
    
    \SRAM_WADDR_pad[4]\ : INBUF
      port map(PAD => SRAM_WADDR(4), Y => \SRAM_WADDR_c[4]\);
    
    CORRECTABLE_pad : OUTBUF
      port map(D => CORRECTABLE_c, PAD => CORRECTABLE);
    
    \SRAM_RDATA[4]\ : DFC1B
      port map(D => \Reg_sram_rdata[4]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[4]\);
    
    \SRAM_RDATA[0]\ : DFC1B
      port map(D => \Reg_sram_rdata[0]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[0]\);
    
    \SRAM_RDATA_pad[3]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[3]\, PAD => SRAM_RDATA(3));
    
    \SRAM_RDATA[6]\ : DFC1B
      port map(D => \Reg_sram_rdata[6]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[6]\);
    
    \Reg_sram_raddr[6]\ : DFC1B
      port map(D => \SRAM_RADDR_c[6]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[6]_net_1\);
    
    \Reg_sram_wdata[6]\ : DFC1B
      port map(D => \SRAM_WDATA_c[6]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[6]_net_1\);
    
    \SRAM_WDATA_pad[3]\ : INBUF
      port map(PAD => SRAM_WDATA(3), Y => \SRAM_WDATA_c[3]\);
    
    \SRAM_WDATA_pad[1]\ : INBUF
      port map(PAD => SRAM_WDATA(1), Y => \SRAM_WDATA_c[1]\);
    
    RE_pad : INBUF
      port map(PAD => RE, Y => RE_c);
    
    \SRAM_WADDR_pad[6]\ : INBUF
      port map(PAD => SRAM_WADDR(6), Y => \SRAM_WADDR_c[6]\);
    
    \SRAM_RADDR_pad[3]\ : INBUF
      port map(PAD => SRAM_RADDR(3), Y => \SRAM_RADDR_c[3]\);
    
    ERROR_pad : OUTBUF
      port map(D => ERROR_c, PAD => ERROR);
    
    \VCC\ : VCC
      port map(Y => VCC_net_1);
    
    \SRAM_WDATA_pad[7]\ : INBUF
      port map(PAD => SRAM_WDATA(7), Y => \SRAM_WDATA_c[7]\);
    
    WE_pad : INBUF
      port map(PAD => WE, Y => WE_c);
    
    \SRAM_RADDR_pad[6]\ : INBUF
      port map(PAD => SRAM_RADDR(6), Y => \SRAM_RADDR_c[6]\);
    
    \Reg_sram_wdata[1]\ : DFC1B
      port map(D => \SRAM_WDATA_c[1]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[1]_net_1\);
    
    \Reg_sram_raddr[5]\ : DFC1B
      port map(D => \SRAM_RADDR_c[5]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[5]_net_1\);
    
    \CADDR_pad[7]\ : OUTBUF
      port map(D => \CADDR_c[7]\, PAD => CADDR(7));
    
    \Reg_sram_waddr[0]\ : DFC1B
      port map(D => \SRAM_WADDR_c[0]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[0]_net_1\);
    
    \Reg_sram_waddr[4]\ : DFC1B
      port map(D => \SRAM_WADDR_c[4]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[4]_net_1\);
    
    \Reg_sram_raddr[3]\ : DFC1B
      port map(D => \SRAM_RADDR_c[3]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[3]_net_1\);
    
    \Reg_sram_waddr[6]\ : DFC1B
      port map(D => \SRAM_WADDR_c[6]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[6]_net_1\);
    
    \CADDR_pad[1]\ : OUTBUF
      port map(D => \CADDR_c[1]\, PAD => CADDR(1));
    
    TMOUTFLG_pad : OUTBUF
      port map(D => TMOUTFLG_c, PAD => TMOUTFLG);
    
    \SRAM_WADDR_pad[0]\ : INBUF
      port map(PAD => SRAM_WADDR(0), Y => \SRAM_WADDR_c[0]\);
    
    RSTn_pad : CLKBUF
      port map(PAD => RSTn, Y => RSTn_c);
    
    \SRAM_WADDR_pad[3]\ : INBUF
      port map(PAD => SRAM_WADDR(3), Y => \SRAM_WADDR_c[3]\);
    
    SLOWDOWN_pad : OUTBUF
      port map(D => SLOWDOWN_c, PAD => SLOWDOWN);
    
    \SRAM_WDATA_pad[5]\ : INBUF
      port map(PAD => SRAM_WDATA(5), Y => \SRAM_WDATA_c[5]\);
    
    \SRAM_WDATA_pad[4]\ : INBUF
      port map(PAD => SRAM_WDATA(4), Y => \SRAM_WDATA_c[4]\);
    
    \Reg_sram_raddr[4]\ : DFC1B
      port map(D => \SRAM_RADDR_c[4]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[4]_net_1\);
    
    TestRAM : AX_EDAC_SRAM256X8_EFLAGS
      port map(Reg_sram_wdata(7) => \Reg_sram_wdata[7]_net_1\, 
        Reg_sram_wdata(6) => \Reg_sram_wdata[6]_net_1\, 
        Reg_sram_wdata(5) => \Reg_sram_wdata[5]_net_1\, 
        Reg_sram_wdata(4) => \Reg_sram_wdata[4]_net_1\, 
        Reg_sram_wdata(3) => \Reg_sram_wdata[3]_net_1\, 
        Reg_sram_wdata(2) => \Reg_sram_wdata[2]_net_1\, 
        Reg_sram_wdata(1) => \Reg_sram_wdata[1]_net_1\, 
        Reg_sram_wdata(0) => \Reg_sram_wdata[0]_net_1\, 
        CADDR_c(7) => \CADDR_c[7]\, CADDR_c(6) => \CADDR_c[6]\, 
        CADDR_c(5) => \CADDR_c[5]\, CADDR_c(4) => \CADDR_c[4]\, 
        CADDR_c(3) => \CADDR_c[3]\, CADDR_c(2) => \CADDR_c[2]\, 
        CADDR_c(1) => \CADDR_c[1]\, CADDR_c(0) => \CADDR_c[0]\, 
        Reg_sram_raddr(7) => \Reg_sram_raddr[7]_net_1\, 
        Reg_sram_raddr(6) => \Reg_sram_raddr[6]_net_1\, 
        Reg_sram_raddr(5) => \Reg_sram_raddr[5]_net_1\, 
        Reg_sram_raddr(4) => \Reg_sram_raddr[4]_net_1\, 
        Reg_sram_raddr(3) => \Reg_sram_raddr[3]_net_1\, 
        Reg_sram_raddr(2) => \Reg_sram_raddr[2]_net_1\, 
        Reg_sram_raddr(1) => \Reg_sram_raddr[1]_net_1\, 
        Reg_sram_raddr(0) => \Reg_sram_raddr[0]_net_1\, 
        Reg_sram_waddr(7) => \Reg_sram_waddr[7]_net_1\, 
        Reg_sram_waddr(6) => \Reg_sram_waddr[6]_net_1\, 
        Reg_sram_waddr(5) => \Reg_sram_waddr[5]_net_1\, 
        Reg_sram_waddr(4) => \Reg_sram_waddr[4]_net_1\, 
        Reg_sram_waddr(3) => \Reg_sram_waddr[3]_net_1\, 
        Reg_sram_waddr(2) => \Reg_sram_waddr[2]_net_1\, 
        Reg_sram_waddr(1) => \Reg_sram_waddr[1]_net_1\, 
        Reg_sram_waddr(0) => \Reg_sram_waddr[0]_net_1\, 
        Reg_sram_rdata(7) => \Reg_sram_rdata[7]\, 
        Reg_sram_rdata(6) => \Reg_sram_rdata[6]\, 
        Reg_sram_rdata(5) => \Reg_sram_rdata[5]\, 
        Reg_sram_rdata(4) => \Reg_sram_rdata[4]\, 
        Reg_sram_rdata(3) => \Reg_sram_rdata[3]\, 
        Reg_sram_rdata(2) => \Reg_sram_rdata[2]\, 
        Reg_sram_rdata(1) => \Reg_sram_rdata[1]\, 
        Reg_sram_rdata(0) => \Reg_sram_rdata[0]\, CORRECTABLE_c
         => CORRECTABLE_c, SCRUB_DONE_c => SCRUB_DONE_c, RSTn_c
         => RSTn_c, STOP_SCRUB_c => STOP_SCRUB_c, RE_c => RE_c, 
        TMOUTFLG_c => TMOUTFLG_c, WE_c => WE_c, SCRUB_CORRECTED_c
         => SCRUB_CORRECTED_c, SLOWDOWN_c => SLOWDOWN_c, ERROR_c
         => ERROR_c, AX_EDAC_SRAM256X8_EFLAGS_GND => GND_net_1, 
        CLK_c => CLK_c, AX_EDAC_SRAM256X8_EFLAGS_VCC => VCC_net_1);
    
    \CADDR_pad[3]\ : OUTBUF
      port map(D => \CADDR_c[3]\, PAD => CADDR(3));
    
    \Reg_sram_waddr[5]\ : DFC1B
      port map(D => \SRAM_WADDR_c[5]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[5]_net_1\);
    
    \Reg_sram_wdata[4]\ : DFC1B
      port map(D => \SRAM_WDATA_c[4]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[4]_net_1\);
    
    \SRAM_WADDR_pad[2]\ : INBUF
      port map(PAD => SRAM_WADDR(2), Y => \SRAM_WADDR_c[2]\);
    
    \Reg_sram_raddr[0]\ : DFC1B
      port map(D => \SRAM_RADDR_c[0]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[0]_net_1\);
    
    \SRAM_WDATA_pad[0]\ : INBUF
      port map(PAD => SRAM_WDATA(0), Y => \SRAM_WDATA_c[0]\);
    
    \Reg_sram_wdata[0]\ : DFC1B
      port map(D => \SRAM_WDATA_c[0]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[0]_net_1\);
    
    \CADDR_pad[6]\ : OUTBUF
      port map(D => \CADDR_c[6]\, PAD => CADDR(6));
    
    \CADDR_pad[2]\ : OUTBUF
      port map(D => \CADDR_c[2]\, PAD => CADDR(2));
    
    \GND\ : GND
      port map(Y => GND_net_1);
    
    \SRAM_RDATA_pad[4]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[4]\, PAD => SRAM_RDATA(4));
    
    \CADDR_pad[0]\ : OUTBUF
      port map(D => \CADDR_c[0]\, PAD => CADDR(0));
    
    \Reg_sram_raddr[2]\ : DFC1B
      port map(D => \SRAM_RADDR_c[2]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[2]_net_1\);
    
    \Reg_sram_waddr[2]\ : DFC1B
      port map(D => \SRAM_WADDR_c[2]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[2]_net_1\);
    
    \CADDR_pad[4]\ : OUTBUF
      port map(D => \CADDR_c[4]\, PAD => CADDR(4));
    
    \SRAM_WDATA_pad[2]\ : INBUF
      port map(PAD => SRAM_WDATA(2), Y => \SRAM_WDATA_c[2]\);
    
    \SRAM_WADDR_pad[7]\ : INBUF
      port map(PAD => SRAM_WADDR(7), Y => \SRAM_WADDR_c[7]\);
    
    STOP_SCRUB_pad : INBUF
      port map(PAD => STOP_SCRUB, Y => STOP_SCRUB_c);
    
    \Reg_sram_waddr[3]\ : DFC1B
      port map(D => \SRAM_WADDR_c[3]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[3]_net_1\);
    
    \SRAM_RDATA_pad[1]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[1]\, PAD => SRAM_RDATA(1));
    
    \CADDR_pad[5]\ : OUTBUF
      port map(D => \CADDR_c[5]\, PAD => CADDR(5));
    
    \SRAM_RDATA_pad[2]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[2]\, PAD => SRAM_RDATA(2));
    
    \SRAM_RADDR_pad[0]\ : INBUF
      port map(PAD => SRAM_RADDR(0), Y => \SRAM_RADDR_c[0]\);
    
    \Reg_sram_wdata[7]\ : DFC1B
      port map(D => \SRAM_WDATA_c[7]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[7]_net_1\);
    
    \SRAM_RDATA[1]\ : DFC1B
      port map(D => \Reg_sram_rdata[1]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[1]\);
    
    \Reg_sram_waddr[1]\ : DFC1B
      port map(D => \SRAM_WADDR_c[1]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[1]_net_1\);
    
    \SRAM_RADDR_pad[7]\ : INBUF
      port map(PAD => SRAM_RADDR(7), Y => \SRAM_RADDR_c[7]\);
    
    SCRUB_DONE_pad : OUTBUF
      port map(D => SCRUB_DONE_c, PAD => SCRUB_DONE);
    
    \Reg_sram_raddr[1]\ : DFC1B
      port map(D => \SRAM_RADDR_c[1]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[1]_net_1\);
    
    \SRAM_WADDR_pad[1]\ : INBUF
      port map(PAD => SRAM_WADDR(1), Y => \SRAM_WADDR_c[1]\);
    
    \Reg_sram_raddr[7]\ : DFC1B
      port map(D => \SRAM_RADDR_c[7]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_raddr[7]_net_1\);
    
    \Reg_sram_wdata[5]\ : DFC1B
      port map(D => \SRAM_WDATA_c[5]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[5]_net_1\);
    
    \SRAM_RADDR_pad[2]\ : INBUF
      port map(PAD => SRAM_RADDR(2), Y => \SRAM_RADDR_c[2]\);
    
    \SRAM_RDATA_pad[6]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[6]\, PAD => SRAM_RDATA(6));
    
    \SRAM_RDATA[3]\ : DFC1B
      port map(D => \Reg_sram_rdata[3]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[3]\);
    
    \Reg_sram_waddr[7]\ : DFC1B
      port map(D => \SRAM_WADDR_c[7]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_waddr[7]_net_1\);
    
    \SRAM_RADDR_pad[1]\ : INBUF
      port map(PAD => SRAM_RADDR(1), Y => \SRAM_RADDR_c[1]\);
    
    \SRAM_RDATA[2]\ : DFC1B
      port map(D => \Reg_sram_rdata[2]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[2]\);
    
    \SRAM_RADDR_pad[5]\ : INBUF
      port map(PAD => SRAM_RADDR(5), Y => \SRAM_RADDR_c[5]\);
    
    \SRAM_RADDR_pad[4]\ : INBUF
      port map(PAD => SRAM_RADDR(4), Y => \SRAM_RADDR_c[4]\);
    
    \SRAM_RDATA[5]\ : DFC1B
      port map(D => \Reg_sram_rdata[5]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[5]\);
    
    \Reg_sram_wdata[3]\ : DFC1B
      port map(D => \SRAM_WDATA_c[3]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \Reg_sram_wdata[3]_net_1\);
    
    \SRAM_WADDR_pad[5]\ : INBUF
      port map(PAD => SRAM_WADDR(5), Y => \SRAM_WADDR_c[5]\);
    
    \SRAM_RDATA[7]\ : DFC1B
      port map(D => \Reg_sram_rdata[7]\, CLK => CLK_c, CLR => 
        RSTn_c, Q => \SRAM_RDATA_c[7]\);
    
    SCRUB_CORRECTED_pad : OUTBUF
      port map(D => SCRUB_CORRECTED_c, PAD => SCRUB_CORRECTED);
    
    \SRAM_RDATA_pad[5]\ : OUTBUF
      port map(D => \SRAM_RDATA_c[5]\, PAD => SRAM_RDATA(5));
    
    CLK_pad : CLKBUF
      port map(PAD => CLK, Y => CLK_c);
    

end DEF_ARCH; 
